#!/bin/bash
# Macht aus alfabetischen Liedliste des EG eine thematische
# (c) Peter Handrich - http://www.l4a.org/
# Lizenz: GNU Public License 3 - http://www.gnu.org/copyleft/gpl.html
# Handhabung: Skript und HTML-Datei muessen im gleichen Verzeichnis stehen.
# Einfach Skript aufrufen und auf Aufforderung den Namen der Datei angeben,
# die konvertiert werden soll.

# Info zur Textangabe
echo " "
echo " **********************************************************************"
echo " * Mit Hilfe dieses Skriptes wandeln Sie die alfabetische Liedliste   *"
echo " * des EG in eine thematisch um - rudimentaer!                        *"
echo " **********************************************************************"
echo " "
echo " Bitte geben Sie den Namen der Datei an, die Sie konvertieren moechten:"
echo " "

# Aufnahme der Tastatureingabe
read datei

echo " "
echo " Bitte haben Sie einen Moment Geduld ... "
echo " "

# Anlegen eines Arbeitsverzeichnisses
mkdir ~/EG

# Anlegen einer Sicherungskopie
cp $datei ~/EG/sicherungskopie

# Loeschen aller Zeilen mit dem Tag <tr>
sed '/<tr>/d' $datei > ~/EG/datei1

# Loeschen aller Zeilen mit dem Tag </tr>
sed '/<\/tr>/d' ~/EG/datei1 > ~/EG/datei2

# Kopieren jeder jeder Zeile mit gerader Ordnungszahl
sed '1~2d' ~/EG/datei2 > ~/EG/datei3

# Kopieren jeder jeder Zeile mit ungerader Ordnungszahl
sed '1  i\ Erste Zeile' ~/EG/datei2 > ~/EG/datei1
sed '1~2d' ~/EG/datei1 > ~/EG/datei4

# Isolieren der Liednummern
sed 's/      <td><b><a target="ost" href="..\/..\/cgi-bin\/4lieder?lookupMode=liedaufschlagen&lookup=baden-elsass-lothringen//g'  ~/EG/datei3 > ~/EG/datei1
sed 's/      <td><b><a target="ost" href="..\/..\/cgi-bin\/4lieder?lookupMode=liedaufschlagen&lookup=Evangelisches Gesangbuch//g' ~/EG/datei1 > ~/EG/datei2
sed 's/      <td><b><a target="ost" href="..\/..\/cgi-bin\/4lieder?lookupMode=liedaufschlagen&lookup=Niedersachsen Bremen//g' ~/EG/datei2 > ~/EG/datei5
sed 's/+//' ~/EG/datei5 > ~/EG/datei1
sed 's/"/ /' ~/EG/datei1 > ~/EG/datei2
awk '{ print $1 }' ~/EG/datei2 > ~/EG/datei5

# Zusammenfuegen der drei isolierten Datein in drei Spalten einer Datei
paste -d ' ' ~/EG/datei5 ~/EG/datei4 ~/EG/datei3 > ~/EG/datei1

# Entfernen von Leerzeichen
sed 's/       /@/g'  ~/EG/datei1 > ~/EG/datei2

# Sortieren nach Liednummern
sort -n ~/EG/datei2 > ~/EG/datei1

# Entfernen der vorangestellten Liednummern
awk -F@ '{ print $2 $3 }' ~/EG/datei1 > ~/EG/datei2

# Hinzufuegen von <tr>- und </tr>-Tags
sed 's/<td>/<tr><td>/' ~/EG/datei2 > ~/EG/datei1
sed 's/<\/td>/<\/td><\/tr>/g' ~/EG/datei1 > ~/EG/datei2
sed 's/<\/td><\/tr>/<\/td>/' ~/EG/datei2 > ~/EG/thematisch.html

# Loeschen der Hilfsdateien
rm ~/EG/datei*

# Loeschen der Quelldatei
rm $datei

# Informationen am Schluss
echo " "
echo "Sie finden die Datei 'thematisch.html' in Ihrem"
echo "Heimatverzeichnis und dort im Unterverzeichnis EG."
echo " "
echo "            ********** - Ende der Arbeiten - **********"
echo " "
