#!/bin/bash
# Macht aus einem Unbound Bible Text einen 4Bibeln Text
# Verszaehlung: Beibehaltung des TRADitionellen Formates
# Vor dem eigentlichen Text stehen 3 durch Tabulatoren separierte Zahlenangaben
# (c) Peter Handrich - http://www.l4a.org/
# Lizenz: GNU Public License 3 - http://www.gnu.org/copyleft/gpl.html

# Info zur Textangabe
echo " "
echo " **********************************************************************"
echo " * Mit Hilfe dieses Skriptes wandeln Sie einen Text der Unbound Bibel *"
echo " * in einen Text fuer 4Bibeln um. Beachten Sie, dass es vier Skripte  *"
echo " * fuer vier verschiedene Aufgaben gibt:                              *"
echo " * 1. Das Skript unb3TRAD2TRAD4bibeln.sh wandelt eine Unbound-Datei,  *"
echo " *    die vor dem eigentlichen Text 3 Spalten hat, in eine 4Bibeln-   *"
echo " *    Datei um und behaelt deren Verszaehlung bei.                    *"
echo " * 2. Das Skript unb3TRAD2PROT4bibeln.sh wandelt eine Unbound-Datei,  *"
echo " *    die vor dem eigentlichen Text 3 Spalten hat, in eine 4Bibeln-   *"
echo " *    Datei um und aendert deren Verszaehlung in die in deutschen     *"
echo " *    protestantischen Bibeln uebliche.                               *"
echo " * 3. Das Skript unb4TRAD2TRAD4bibeln.sh wandelt eine Unbound-Datei,  *"
echo " *    die vor dem eigentlichen Text 4 Spalten hat, in eine 4Bibeln-   *"
echo " *    Datei um und behaelt deren Verszaehlung bei.                    *"
echo " * 4. Das Skript unb4TRAD2PROT4bibeln.sh wandelt eine Unbound-Datei,  *"
echo " *    die vor dem eigentlichen Text 4 Spalten hat, in eine 4Bibeln-   *"
echo " *    Datei um und aendert deren Verszaehlung in die in deutschen     *"
echo " *    protestantischen Bibeln uebliche.                               *"
echo " *                                                                    *"
echo " *            Dieses Skript ist unb3TRAD2TRAD4bibeln.sh               *"
echo " *           Ihre Vorlage sieht so aus (erste Textzeile):             *"
echo " * 01O     1      1       Im Anfang (Text) ...                        *"
echo " *                                                                    *"
echo " **********************************************************************"
echo " "
echo " Bitte geben Sie den Namen der Datei im Unbound-Bibel-Format an,"
echo " den Sie ins 4Bibeln-Format konvertieren moechten:"
echo " "

# Aufnahme der Tastatureingabe
read datei

# Anlegen eines Arbeitsverzeichnisses
mkdir ~/4Bibeln

# Ausgabe einer Leerzeile
echo " "

# Erstellen einer Sicherungskopie
cp $datei ~/4Bibeln/$datei.sicherung

# Konvertierung ins Unix-Textformat
dos2unix  $datei

# Ersetzen des ersten Tabulators in jeder Zeile durch einen *
sed 's/\t/*/' $datei > ~/4Bibeln/datei1

# Loeschen der urspruenglichen Textdatei
rm $datei

# Ersetzen des zweiten Tabulators in jeder Zeile durch einen Doppelpunkt
sed 's/\t/:/' ~/4Bibeln/datei1 > ~/4Bibeln/datei2

# Ersetzen des dritten Tabulators in jeder Zeile durch einen * 
sed 's/\t/*/' ~/4Bibeln/datei2 > ~/4Bibeln/datei1

# Ersatzloses Ersetzen des vierten Tabulators in jeder Zeile 
sed 's/\t//' ~/4Bibeln/datei1 > ~/4Bibeln/datei2

# Ersetzen des fuenften Tabulators in jeder Zeile durch einen * 
sed 's/\t/*/' ~/4Bibeln/datei2 > ~/4Bibeln/datei1

# Ersetzen des sechsten Tabulators in jeder Zeile durch einen * 
sed 's/\t/*/' ~/4Bibeln/datei2 > ~/4Bibeln/datei1

# Ausgabe der ersten, zweiten und vierten Spalte in der neuen Datei
awk -F* '{print $1,$2,$3}' ~/4Bibeln/datei1 > ~/4Bibeln/datei2

# Ausgabe des ersten Buches Mose im Textverzeichnis
sed -n '/01O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/genesis1

# Ausgabe des zweiten Buches Mose im Textverzeichnis
sed -n '/02O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/exodus2

# Ausgabe des dritten Buches Mose im Textverzeichnis
sed -n '/03O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/levitikus2

# Ausgabe des vierten Buches Mose im Textverzeichnis
sed -n '/04O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/numeri2

# Ausgabe des fuenften Buches Mose im Textverzeichnis
sed -n '/05O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/deuteronomium2

# Ausgabe des Josuabuches im Textverzeichnis
sed -n '/06O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/josua1

# Ausgabe des Richterbuches im Textverzeichnis
sed -n '/07O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/richter1

# Ausgabe des Buches Rut im Textverzeichnis
sed -n '/08O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/rut1

# Ausgabe des ersten Samuelbuches im Textverzeichnis
sed -n '/09O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-samuel2

# Ausgabe des zweiten Samuelbuches im Textverzeichnis
sed -n '/10O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-samuel2

# Ausgabe des ersten Koenigbuches im Textverzeichnis
sed -n '/11O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-koenige1

# Ausgabe des zweiten Koenigbuches im Textverzeichnis
sed -n '/12O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-koenige2

# Ausgabe des ersten Chronikbuches im Textverzeichnis
sed -n '/13O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-chronik2

# Ausgabe des zweiten Chronikbuches im Textverzeichnis
sed -n '/14O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-chronik1

# Ausgabe des Esrabuches im Textverzeichnis
sed -n '/15O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/esra1

# Ausgabe des Nehemiabuches im Textverzeichnis
sed -n '/16O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/nehemia2

# Ausgabe des Esterbuches im Textverzeichnis
sed -n '/17O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ester1

# Ausgabe des Hiobbuches im Textverzeichnis
sed -n '/18O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/hiob2

# Ausgabe der Psalmen im Textverzeichnis
sed -n '/19O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/psalmen2

# Ausgabe der Sprueche im Textverzeichnis
sed -n '/20O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/sprueche1

# Ausgabe des Predigerbuches im Textverzeichnis
sed -n '/21O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/prediger2

# Ausgabe des Hoheliedes im Textverzeichnis
sed -n '/22O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/hohelied2

# Ausgabe des Jesajabuches im Textverzeichnis
sed -n '/23O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/jesaja1

# Ausgabe des Jeremiabuches im Textverzeichnis
sed -n '/24O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/jeremia1

# Ausgabe der Klagelieder Jeremias im Textverzeichnis
sed -n '/25O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/klagelieder1

# Ausgabe des Ezechielbuches im Textverzeichnis
sed -n '/26O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ezechiel2

# Ausgabe des Danielbuches im Textverzeichnis
sed -n '/27O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/daniel2

# Ausgabe des Hoseabuches im Textverzeichnis
sed -n '/28O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/hosea2

# Ausgabe des Joelbuches im Textverzeichnis
sed -n '/29O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/joel2

# Ausgabe des Amosbuches im Textverzeichnis
sed -n '/30O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/amos1

# Ausgabe des Obadjabuches im Textverzeichnis
sed -n '/31O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/obadja1

# Ausgabe des Jonabuches im Textverzeichnis
sed -n '/32O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/jona1

# Ausgabe des Michabuches im Textverzeichnis
sed -n '/33O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/micha2

# Ausgabe des Nahumbuches im Textverzeichnis
sed -n '/34O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/nahum2

# Ausgabe des Habakukbuches im Textverzeichnis
sed -n '/35O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/habakuk1

# Ausgabe des Zefanjabuches im Textverzeichnis
sed -n '/36O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/zefanja1

# Ausgabe des Haggaibuches im Textverzeichnis
sed -n '/37O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/haggai1

# Ausgabe des Sacharjabuches im Textverzeichnis
sed -n '/38O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/sacharja1

# Ausgabe des Maleachibuches im Textverzeichnis
sed -n '/39O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/maleachi1

# Ausgabe des Matthaeusevangeliums im Textverzeichnis
sed -n '/40N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/matthaeus1

# Ausgabe des Markusevangeliums im Textverzeichnis
sed -n '/41N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/markus1

# Ausgabe des Lukasevangeliums im Textverzeichnis
sed -n '/42N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/lukas1

# Ausgabe des Johannesevangeliums im Textverzeichnis
sed -n '/43N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/johannes1

# Ausgabe der Apostelgeschichte im Textverzeichnis
sed -n '/44N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/apostelgeschichte1

# Ausgabe des Roemerbriefes im Textverzeichnis
sed -n '/45N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/roemer1

# Ausgabe des ersten Korintherbriefes im Textverzeichnis
sed -n '/46N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-korinther1

# Ausgabe des zweiten Korintherbriefes im Textverzeichnis
sed -n '/47N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-korinther1

# Ausgabe des Galaterbriefes im Textverzeichnis
sed -n '/48N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/galater1

# Ausgabe des Epheserbriefes im Textverzeichnis
sed -n '/49N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/epheser1

# Ausgabe des Philipperbriefes im Textverzeichnis
sed -n '/50N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/philipper1

# Ausgabe des Kolosserbriefes im Textverzeichnis
sed -n '/51N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/kolosser1

# Ausgabe des ersten Thessalonicherbriefes im Textverzeichnis
sed -n '/52N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-thessalonicher1

# Ausgabe des zweiten Thessalonicherbriefes im Textverzeichnis
sed -n '/53N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-thessalonicher1

# Ausgabe des ersten Timotheusbriefes im Textverzeichnis
sed -n '/54N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-timotheus1

# Ausgabe des zweiten Timotheusbriefes im Textverzeichnis
sed -n '/55N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-timotheus1

# Ausgabe des Titusbriefes im Textverzeichnis
sed -n '/56N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/titus1

# Ausgabe des Philemonbriefes im Textverzeichnis
sed -n '/57N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/philemon1

# Ausgabe des Hebraeerbriefes im Textverzeichnis
sed -n '/58N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/hebraeer1

# Ausgabe des Jakobusbriefes im Textverzeichnis
sed -n '/59N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/jakobus1

# Ausgabe des ersten Petrusbriefes im Textverzeichnis
sed -n '/60N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-petrus1

# Ausgabe des zweiten Petrusbriefes im Textverzeichnis
sed -n '/61N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-petrus1

# Ausgabe des ersten Johannesbriefes im Textverzeichnis
sed -n '/62N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-johannes1

# Ausgabe des zweiten Johannesbriefes im Textverzeichnis
sed -n '/63N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-johannes1

# Ausgabe des dritten Johannesbriefes im Textverzeichnis
sed -n '/64N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/iii-johannes1

# Ausgabe des Judasbriefes im Textverzeichnis
sed -n '/65N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/judas1

# Ausgabe der Offenbarung des Johannes im Textverzeichnis
sed -n '/66N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/offenbarung1

# Ausgabe des Tobiasbuches im Textverzeichnis
sed -n '/67A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/tobias1

# Ausgabe des Juditbuches im Textverzeichnis
sed -n '/68A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/judit1

# Ausgabe des griechischen Esterbuches im Textverzeichnis
sed -n '/69A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/griechisch-ester1

# Ausgabe des Weisheitsbuches im Textverzeichnis
sed -n '/70A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/weisheit1

# Ausgabe des Buches Jesus Sirach im Textverzeichnis
sed -n '/71A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/jesus-sirach1

# Ausgabe des Baruchbuches im Textverzeichnis
sed -n '/72A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/baruch1

# Ausgabe des Briefes des Jeremia im Textverzeichnis
sed -n '/73A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/brief-jeremias1

# Ausgabe des Gebetes Asarias im Textverzeichnis
sed -n '/74A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/gebet-asarjas1

# Ausgabe des Susannabuches im Textverzeichnis
sed -n '/75A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/susanna1

# Ausgabe des Drachenbuches im Textverzeichnis
sed -n '/76A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/bel-und-der-drache1

# Ausgabe des ersten Makkabaeerbuches im Textverzeichnis
sed -n '/77A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-makkabaeer1

# Ausgabe des zweiten Makkabaeerbuches im Textverzeichnis
sed -n '/78A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-makkabaeer1

# Ausgabe des dritten Makkabaeerbuches im Textverzeichnis
sed -n '/79A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/iii-makkabaeer1

# Ausgabe des vierten Makkabaeerbuches im Textverzeichnis
sed -n '/80A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/iv-makkabaeer1

# Ausgabe dritten Esrabuches im Textverzeichnis
sed -n '/81A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/iii-esra1

# Ausgabe vierten Esrabuches im Textverzeichnis
sed -n '/82A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/iv-esra1

# Ausgabe des Gebetes des Manasse im Textverzeichnis
sed -n '/83A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/gebet-manasses1

# Ausgabe des 152. Psalms im Textverzeichnis
sed -n '/84A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/psalm-1511

# Ausgabe des Psalms Salomos im Textverzeichnis
sed -n '/85A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/psalm-salomos1

# Ausgabe der Oden im Textverzeichnis
sed -n '/86A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/oden1

# Loeschen der Praefixe im ersten Buch Mose 
sed 's/01O //' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis

# Loeschen der Praefixe im zweiten Buch Mose 
sed 's/02O //' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus

# Loeschen der Praefixe im dritten Buch Mose 
sed 's/03O //' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus

# Loeschen der Praefixe im vierten Buch Mose 
sed 's/04O //' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri

# Loeschen der Praefixe im fuenften Buch Mose 
sed 's/05O //' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium

# Loeschen der Praefixe im Josuabuch 
sed 's/06O //' ~/4Bibeln/josua1 > ~/4Bibeln/josua

# Loeschen der Praefixe im Richterbuch 
sed 's/07O //' ~/4Bibeln/richter1 > ~/4Bibeln/richter

# Loeschen der Praefixe im Buch Rut 
sed 's/08O //' ~/4Bibeln/rut1 > ~/4Bibeln/rut

# Loeschen der Praefixe im ersten Samuelbuch 
sed 's/09O //' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel

# Loeschen der Praefixe im zweiten Samuelbuch 
sed 's/10O //' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel

# Loeschen der Praefixe im ersten Koenigbuch 
sed 's/11O //' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige

# Loeschen der Praefixe im zweiten Koenigbuch 
sed 's/12O //' ~/4Bibeln/ii-koenige2 > ~/4Bibeln/ii-koenige

# Loeschen der Praefixe im ersten Chronikbuch 
sed 's/13O //' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik

# Loeschen der Praefixe im zweiten Chronikbuch 
sed 's/14O //' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik

# Loeschen der Praefixe im Esrabuch 
sed 's/15O //' ~/4Bibeln/esra1 > ~/4Bibeln/esra

# Loeschen der Praefixe im Nehemiabuch 
sed 's/16O //' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia

# Loeschen der Praefixe im Esterbuch 
sed 's/17O //' ~/4Bibeln/ester1 > ~/4Bibeln/ester

# Loeschen der Praefixe im Hiobbuch 
sed 's/18O //' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob

# Loeschen der Praefixe in den Psalmen 
sed 's/19O //' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen

# Loeschen der Praefixe in den Spruechen 
sed 's/20O //' ~/4Bibeln/sprueche1 > ~/4Bibeln/sprueche

# Loeschen der Praefixe im Predigerbuch 
sed 's/21O //' ~/4Bibeln/prediger2 > ~/4Bibeln/prediger

# Loeschen der Praefixe im Hohelied 
sed 's/22O //' ~/4Bibeln/hohelied2 > ~/4Bibeln/hohelied

# Loeschen der Praefixe im Jesajabuch 
sed 's/23O //' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja

# Loeschen der Praefixe im Jeremiabuch 
sed 's/24O //' ~/4Bibeln/jeremia1 > ~/4Bibeln/jeremia

# Loeschen der Praefixe in den Klageliedern Jeremias 
sed 's/25O //' ~/4Bibeln/klagelieder1 > ~/4Bibeln/klagelieder

# Loeschen der Praefixe im Ezechielbuch 
sed 's/26O //' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel

# Loeschen der Praefixe im Danielbuch 
sed 's/27O //' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel

# Loeschen der Praefixe im Hoseabuch 
sed 's/28O //' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea

# Loeschen der Praefixe im Joelbuch 
sed 's/29O //' ~/4Bibeln/joel2 > ~/4Bibeln/joel

# Loeschen der Praefixe im Amosbuch 
sed 's/30O //' ~/4Bibeln/amos1 > ~/4Bibeln/amos

# Loeschen der Praefixe im Obadjabuch 
sed 's/31O //' ~/4Bibeln/obadja1 > ~/4Bibeln/obadja

# Loeschen der Praefixe im Jonabuch 
sed 's/32O //' ~/4Bibeln/jona1 > ~/4Bibeln/jona

# Loeschen der Praefixe im Michabuch 
sed 's/33O //' ~/4Bibeln/micha2 > ~/4Bibeln/micha

# Loeschen der Praefixe im Nahumbuch 
sed 's/34O //' ~/4Bibeln/nahum2 > ~/4Bibeln/nahum

# Loeschen der Praefixe im Habakukbuch 
sed 's/35O //' ~/4Bibeln/habakuk1 > ~/4Bibeln/habakuk

# Loeschen der Praefixe im Zefanjabuch 
sed 's/36O //' ~/4Bibeln/zefanja1 > ~/4Bibeln/zefanja

# Loeschen der Praefixe im Haggaibuch 
sed 's/37O //' ~/4Bibeln/haggai1 > ~/4Bibeln/haggai

# Loeschen der Praefixe im Sacharjabuch 
sed 's/38O //' ~/4Bibeln/sacharja1 > ~/4Bibeln/sacharja

# Loeschen der Praefixe im Maleachibuch 
sed 's/39O //' ~/4Bibeln/maleachi1 > ~/4Bibeln/maleachi

# Loeschen der Praefixe im Matthaeusevangelium 
sed 's/40N //' ~/4Bibeln/matthaeus1 > ~/4Bibeln/matthaeus

# Loeschen der Praefixe im Markusevangelium 
sed 's/41N //' ~/4Bibeln/markus1 > ~/4Bibeln/markus

# Loeschen der Praefixe im Lukasevangelium 
sed 's/42N //' ~/4Bibeln/lukas1 > ~/4Bibeln/lukas

# Loeschen der Praefixe im Johannesevangelium 
sed 's/43N //' ~/4Bibeln/johannes1 > ~/4Bibeln/johannes

# Loeschen der Praefixe in der Apostelgeschichte 
sed 's/44N //' ~/4Bibeln/apostelgeschichte1 > ~/4Bibeln/apostelgeschichte

# Loeschen der Praefixe im Roemerbrief 
sed 's/45N //' ~/4Bibeln/roemer1 > ~/4Bibeln/roemer

# Loeschen der Praefixe im ersten Korintherbrief 
sed 's/46N //' ~/4Bibeln/i-korinther1 > ~/4Bibeln/i-korinther

# Loeschen der Praefixe im zweiten Korintherbrief 
sed 's/47N //' ~/4Bibeln/ii-korinther1 > ~/4Bibeln/ii-korinther

# Loeschen der Praefixe im Galaterbrief 
sed 's/48N //' ~/4Bibeln/galater1 > ~/4Bibeln/galater

# Loeschen der Praefixe im Epheserbrief 
sed 's/49N //' ~/4Bibeln/epheser1 > ~/4Bibeln/epheser

# Loeschen der Praefixe im Philipperbrief 
sed 's/50N //' ~/4Bibeln/philipper1 > ~/4Bibeln/philipper

# Loeschen der Praefixe im Kolosserbrief 
sed 's/51N //' ~/4Bibeln/kolosser1 > ~/4Bibeln/kolosser

# Loeschen der Praefixe im ersten Thessalonicherbrief 
sed 's/52N //' ~/4Bibeln/i-thessalonicher1 > ~/4Bibeln/i-thessalonicher

# Loeschen der Praefixe im zweiten Thessalonicherbrief 
sed 's/53N //' ~/4Bibeln/ii-thessalonicher1 > ~/4Bibeln/ii-thessalonicher

# Loeschen der Praefixe im ersten Timotheusbrief 
sed 's/54N //' ~/4Bibeln/i-timotheus1 > ~/4Bibeln/i-timotheus

# Loeschen der Praefixe im zweiten Timotheusbrief 
sed 's/55N //' ~/4Bibeln/ii-timotheus1 > ~/4Bibeln/ii-timotheus

# Loeschen der Praefixe im Titusbrief 
sed 's/56N //' ~/4Bibeln/titus1 > ~/4Bibeln/titus

# Loeschen der Praefixe im Philemonbrief 
sed 's/57N //' ~/4Bibeln/philemon1 > ~/4Bibeln/philemon

# Loeschen der Praefixe im Hebraeerbrief 
sed 's/58N //' ~/4Bibeln/hebraeer1 > ~/4Bibeln/hebraeer

# Loeschen der Praefixe im Jakobusbrief 
sed 's/59N //' ~/4Bibeln/jakobus1 > ~/4Bibeln/jakobus

# Loeschen der Praefixe im ersten Petrusbrief 
sed 's/60N //' ~/4Bibeln/i-petrus1 > ~/4Bibeln/i-petrus

# Loeschen der Praefixe im zweiten Petrusbrief 
sed 's/61N //' ~/4Bibeln/ii-petrus1 > ~/4Bibeln/ii-petrus

# Loeschen der Praefixe im ersten Johannesbrief 
sed 's/62N //' ~/4Bibeln/i-johannes1 > ~/4Bibeln/i-johannes

# Loeschen der Praefixe im zweiten Johannesbrief 
sed 's/63N //' ~/4Bibeln/ii-johannes1 > ~/4Bibeln/ii-johannes

# Loeschen der Praefixe im dritten Johannesbrief 
sed 's/64N //' ~/4Bibeln/iii-johannes1 > ~/4Bibeln/iii-johannes

# Loeschen der Praefixe im Judasbrief 
sed 's/65N //' ~/4Bibeln/judas1 > ~/4Bibeln/judas

# Loeschen der Praefixe in der Offenbarung des Johannes 
sed 's/66N //' ~/4Bibeln/offenbarung1 > ~/4Bibeln/offenbarung

# Loeschen der Praefixe im Tobiasbuch 
sed 's/67A //' ~/4Bibeln/tobias1 > ~/4Bibeln/tobias

# Loeschen der Praefixe im Juditbuch 
sed 's/68A //' ~/4Bibeln/judit1 > ~/4Bibeln/judit

# Loeschen der Praefixe im griechischen Esterbuch 
sed 's/69A //' ~/4Bibeln/griechisch-ester1 > ~/4Bibeln/griechisch-ester

# Loeschen der Praefixe im Weisheitsbuch 
sed 's/70A //' ~/4Bibeln/weisheit1 > ~/4Bibeln/weisheit

# Loeschen der Praefixe im Buch Jesus Sirach 
sed 's/71A //' ~/4Bibeln/jesus-sirach1 > ~/4Bibeln/jesus-sirach

# Loeschen der Praefixe im Baruchbuch 
sed 's/72A //' ~/4Bibeln/baruch1 > ~/4Bibeln/baruch

# Loeschen der Praefixe im Brief des Jeremia 
sed 's/73A //' ~/4Bibeln/brief-jeremias1 > ~/4Bibeln/brief-jeremias

# Loeschen der Praefixe im Gebet Asarias 
sed 's/74A //' ~/4Bibeln/gebet-asarjas1 > ~/4Bibeln/gebet-asarjas

# Loeschen der Praefixe im Susannabuch 
sed 's/75A //' ~/4Bibeln/susanna1 > ~/4Bibeln/susanna

# Loeschen der Praefixe im Drachenbuch 
sed 's/76A //' ~/4Bibeln/bel-und-der-drache1 > ~/4Bibeln/bel-und-der-drache

# Loeschen der Praefixe im ersten Makkabaeerbuch 
sed 's/77A //' ~/4Bibeln/i-makkabaeer1 > ~/4Bibeln/i-makkabaeer

# Loeschen der Praefixe im zweiten Makkabaeerbuch 
sed 's/78A //' ~/4Bibeln/ii-makkabaeer1 > ~/4Bibeln/ii-makkabaeer

# Loeschen der Praefixe im dritten Makkabaeerbuch 
sed 's/79A //' ~/4Bibeln/iii-makkabaeer1 > ~/4Bibeln/iii-makkabaeer

# Loeschen der Praefixe im vierten Makkabaeerbuch 
sed 's/80A //' ~/4Bibeln/iv-makkabaeer1 > ~/4Bibeln/iv-makkabaeer

# Loeschen der Praefixe im dritten Esrabuch 
sed 's/81A //' ~/4Bibeln/iii-esra1 > ~/4Bibeln/iii-esra

# Loeschen der Praefixe im vierten Esrabuch 
sed 's/82A //' ~/4Bibeln/iv-esra1 > ~/4Bibeln/iv-esra

# Loeschen der Praefixe im Gebet des Manasse 
sed 's/83A //' ~/4Bibeln/gebet-manasses1 > ~/4Bibeln/gebet-manasses

# Loeschen der Praefixe im 152. Psalm 
sed 's/84A //' ~/4Bibeln/psalm-1511 > ~/4Bibeln/psalm-nnn

# Loeschen der Praefixe im Psalm Salomos 
sed 's/85A //' ~/4Bibeln/psalm-salomos1 > ~/4Bibeln/psalm-salomos

# Loeschen der Praefixe in den Oden 
sed 's/86A //' ~/4Bibeln/oden1 > ~/4Bibeln/oden

# Loeschen von Zwischenspeicherdateien
rm ~/4Bibeln/*2
rm ~/4Bibeln/*1
mv ~/4Bibeln/psalm-nnn ~/4Bibeln/psalm-151

# Informationen am Schluss
echo " "
echo "Sie finden die Dateien Ihres neuen 4Bibeln-Textes in Ihrem"
echo "Heimatverzeichnis und dort im Unterverzeichnis 4Bibeln."
echo " "
echo "Um die neuen Texte benutzen zu koennen, muessen Sie sie als"
echo "Superuser (root) mit Hilfe ines Dateimanagers oder des Kommandos"
echo "cp ~/4Bibeln/* /Pfad/zu/4Bibeln/bib/LUT84/*"
echo "in ein mit einem Grossbuchstaben beginnendes Unterverzeichnis"
echo "Ihres Verzeichnisses /Pfad/zu/4Bibeln/bib/LUT84"
echo "kopieren und dann in der Datei /Pfad/zu/4Bibeln/etc/4bibeln.conf"
echo "dem Programm 4Bibeln bekannt machen. Wie das geht, steht in der"
echo "Hilfe zum Programm 4Bibeln."
echo " "
echo "Sie sollten anschliessend das Verzeichnis 4Bibeln in Ihrem Heimat-"
echo "verzeichnis löschen, um den benutzten Platz frei zu machen."
echo " "
echo " "
echo "Anmerkung: Die Buchstaben LUT84 sind natuerlich nur ein Beispiel."
echo "Benutzen Sie eine Abkuerzung, die Sie plausibel finden."
echo " "
echo "            ********** - Ende der Arbeiten - **********"
echo " "
