#!/bin/bash
# Macht aus einem Unbound Bible Text einen 4Bibeln Text
# Verszaehlung: Konvertierung vom TRADitionellen ins PROTestantische Format
# Vor dem eigentlichen Text stehen 4 durch Tabulatoren separierte Zahlenangaben
# (c) Peter Handrich - http://www.l4a.org/
# Lizenz: GNU Public License 3 - http://www.gnu.org/copyleft/gpl.html

# Info zur Textangabe
echo " "
echo " **********************************************************************"
echo " * Mit Hilfe dieses Skriptes wandeln Sie einen Text der Unbound Bibel *"
echo " * in einen Text fuer 4Bibeln um. Beachten Sie, dass es vier Skripte  *"
echo " * fuer vier verschiedene Aufgaben gibt:                              *"
echo " * 1. Das Skript unb3TRAD2TRAD4bibeln.sh wandelt eine Unbound-Datei,  *"
echo " *    die vor dem eigentlichen Text 3 Spalten hat, in eine 4Bibeln-   *"
echo " *    Datei um und behaelt deren Verszaehlung bei.                    *"
echo " * 2. Das Skript unb3TRAD2PROT4bibeln.sh wandelt eine Unbound-Datei,  *"
echo " *    die vor dem eigentlichen Text 3 Spalten hat, in eine 4Bibeln-   *"
echo " *    Datei um und aendert deren Verszaehlung in die in deutschen     *"
echo " *    protestantischen Bibeln uebliche.                               *"
echo " * 3. Das Skript unb4TRAD2TRAD4bibeln.sh wandelt eine Unbound-Datei,  *"
echo " *    die vor dem eigentlichen Text 4 Spalten hat, in eine 4Bibeln-   *"
echo " *    Datei um und behaelt deren Verszaehlung bei.                    *"
echo " * 4. Das Skript unb4TRAD2PROT4bibeln.sh wandelt eine Unbound-Datei,  *"
echo " *    die vor dem eigentlichen Text 4 Spalten hat, in eine 4Bibeln-   *"
echo " *    Datei um und aendert deren Verszaehlung in die in deutschen     *"
echo " *    protestantischen Bibeln uebliche.                               *"
echo " *                                                                    *"
echo " *            Dieses Skript ist unb4TRAD2PROT4bibeln.sh               *"
echo " *           Ihre Vorlage sieht so aus (erste Textzeile):             *"
echo " * 01O     1      1       10                Im Anfang (Text) ...      *"
echo " *                                                                    *"
echo " **********************************************************************"
echo " "
echo " Bitte geben Sie den Namen der Datei im Unbound-Bibel-Format an,"
echo " den Sie ins 4Bibeln-Format konvertieren moechten:"
echo " "

# Aufnahme der Tastatureingabe
read datei

# Anlegen eines Arbeitsverzeichnisses
mkdir ~/4Bibeln

# Ausgabe einer Leerzeile
echo " "

# Erstellen einer Sicherungskopie
cp $datei ~/4Bibeln/$datei.sicherung

# Konvertierung ins Unix-Textformat
dos2unix  $datei

# Ersetzen des ersten Tabulators in jeder Zeile durch einen *
sed 's/\t/*/' $datei > ~/4Bibeln/datei1

# Loeschen der urspruenglichen Textdatei
rm $datei

# Ersetzen des zweiten Tabulators in jeder Zeile durch einen Doppelpunkt
sed 's/\t/:/' ~/4Bibeln/datei1 > ~/4Bibeln/datei2

# Ersetzen des dritten Tabulators in jeder Zeile durch einen * 
sed 's/\t/*/' ~/4Bibeln/datei2 > ~/4Bibeln/datei1

# Ersatzloses Ersetzen des vierten Tabulators in jeder Zeile 
sed 's/\t//' ~/4Bibeln/datei1 > ~/4Bibeln/datei2

# Ersetzen des fuenften Tabulators in jeder Zeile durch einen * 
sed 's/\t/*/' ~/4Bibeln/datei2 > ~/4Bibeln/datei1

# Ersetzen des sechsten Tabulators in jeder Zeile durch einen * 
sed 's/\t/*/' ~/4Bibeln/datei2 > ~/4Bibeln/datei1

# Ausgabe der ersten, zweiten und vierten Spalte in der neuen Datei
awk -F* '{print $1,$2,$4}' ~/4Bibeln/datei1 > ~/4Bibeln/datei2

# Ausgabe des ersten Buches Mose im Textverzeichnis
sed -n '/01O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/genesis1

# Ausgabe des zweiten Buches Mose im Textverzeichnis
sed -n '/02O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/exodus2

# Ausgabe des dritten Buches Mose im Textverzeichnis
sed -n '/03O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/levitikus2

# Ausgabe des vierten Buches Mose im Textverzeichnis
sed -n '/04O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/numeri2

# Ausgabe des fuenften Buches Mose im Textverzeichnis
sed -n '/05O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/deuteronomium2

# Ausgabe des Josuabuches im Textverzeichnis
sed -n '/06O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/josua1

# Ausgabe des Richterbuches im Textverzeichnis
sed -n '/07O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/richter1

# Ausgabe des Buches Rut im Textverzeichnis
sed -n '/08O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/rut1

# Ausgabe des ersten Samuelbuches im Textverzeichnis
sed -n '/09O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-samuel2

# Ausgabe des zweiten Samuelbuches im Textverzeichnis
sed -n '/10O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-samuel2

# Ausgabe des ersten Koenigbuches im Textverzeichnis
sed -n '/11O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-koenige1

# Ausgabe des zweiten Koenigbuches im Textverzeichnis
sed -n '/12O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-koenige2

# Ausgabe des ersten Chronikbuches im Textverzeichnis
sed -n '/13O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-chronik2

# Ausgabe des zweiten Chronikbuches im Textverzeichnis
sed -n '/14O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-chronik1

# Ausgabe des Esrabuches im Textverzeichnis
sed -n '/15O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/esra1

# Ausgabe des Nehemiabuches im Textverzeichnis
sed -n '/16O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/nehemia2

# Ausgabe des Esterbuches im Textverzeichnis
sed -n '/17O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ester1

# Ausgabe des Hiobbuches im Textverzeichnis
sed -n '/18O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/hiob2

# Ausgabe der Psalmen im Textverzeichnis
sed -n '/19O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/psalmen2

# Ausgabe der Sprueche im Textverzeichnis
sed -n '/20O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/sprueche1

# Ausgabe des Predigerbuches im Textverzeichnis
sed -n '/21O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/prediger2

# Ausgabe des Hoheliedes im Textverzeichnis
sed -n '/22O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/hohelied2

# Ausgabe des Jesajabuches im Textverzeichnis
sed -n '/23O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/jesaja1

# Ausgabe des Jeremiabuches im Textverzeichnis
sed -n '/24O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/jeremia1

# Ausgabe der Klagelieder Jeremias im Textverzeichnis
sed -n '/25O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/klagelieder1

# Ausgabe des Ezechielbuches im Textverzeichnis
sed -n '/26O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ezechiel2

# Ausgabe des Danielbuches im Textverzeichnis
sed -n '/27O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/daniel2

# Ausgabe des Hoseabuches im Textverzeichnis
sed -n '/28O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/hosea2

# Ausgabe des Joelbuches im Textverzeichnis
sed -n '/29O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/joel2

# Ausgabe des Amosbuches im Textverzeichnis
sed -n '/30O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/amos1

# Ausgabe des Obadjabuches im Textverzeichnis
sed -n '/31O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/obadja1

# Ausgabe des Jonabuches im Textverzeichnis
sed -n '/32O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/jona1

# Ausgabe des Michabuches im Textverzeichnis
sed -n '/33O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/micha2

# Ausgabe des Nahumbuches im Textverzeichnis
sed -n '/34O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/nahum2

# Ausgabe des Habakukbuches im Textverzeichnis
sed -n '/35O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/habakuk1

# Ausgabe des Zefanjabuches im Textverzeichnis
sed -n '/36O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/zefanja1

# Ausgabe des Haggaibuches im Textverzeichnis
sed -n '/37O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/haggai1

# Ausgabe des Sacharjabuches im Textverzeichnis
sed -n '/38O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/sacharja1

# Ausgabe des Maleachibuches im Textverzeichnis
sed -n '/39O/ p' ~/4Bibeln/datei2 > ~/4Bibeln/maleachi1

# Ausgabe des Matthaeusevangeliums im Textverzeichnis
sed -n '/40N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/matthaeus1

# Ausgabe des Markusevangeliums im Textverzeichnis
sed -n '/41N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/markus1

# Ausgabe des Lukasevangeliums im Textverzeichnis
sed -n '/42N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/lukas1

# Ausgabe des Johannesevangeliums im Textverzeichnis
sed -n '/43N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/johannes1

# Ausgabe der Apostelgeschichte im Textverzeichnis
sed -n '/44N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/apostelgeschichte1

# Ausgabe des Roemerbriefes im Textverzeichnis
sed -n '/45N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/roemer1

# Ausgabe des ersten Korintherbriefes im Textverzeichnis
sed -n '/46N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-korinther1

# Ausgabe des zweiten Korintherbriefes im Textverzeichnis
sed -n '/47N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-korinther1

# Ausgabe des Galaterbriefes im Textverzeichnis
sed -n '/48N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/galater1

# Ausgabe des Epheserbriefes im Textverzeichnis
sed -n '/49N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/epheser1

# Ausgabe des Philipperbriefes im Textverzeichnis
sed -n '/50N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/philipper1

# Ausgabe des Kolosserbriefes im Textverzeichnis
sed -n '/51N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/kolosser1

# Ausgabe des ersten Thessalonicherbriefes im Textverzeichnis
sed -n '/52N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-thessalonicher1

# Ausgabe des zweiten Thessalonicherbriefes im Textverzeichnis
sed -n '/53N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-thessalonicher1

# Ausgabe des ersten Timotheusbriefes im Textverzeichnis
sed -n '/54N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-timotheus1

# Ausgabe des zweiten Timotheusbriefes im Textverzeichnis
sed -n '/55N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-timotheus1

# Ausgabe des Titusbriefes im Textverzeichnis
sed -n '/56N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/titus1

# Ausgabe des Philemonbriefes im Textverzeichnis
sed -n '/57N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/philemon1

# Ausgabe des Hebraeerbriefes im Textverzeichnis
sed -n '/58N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/hebraeer1

# Ausgabe des Jakobusbriefes im Textverzeichnis
sed -n '/59N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/jakobus1

# Ausgabe des ersten Petrusbriefes im Textverzeichnis
sed -n '/60N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-petrus1

# Ausgabe des zweiten Petrusbriefes im Textverzeichnis
sed -n '/61N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-petrus1

# Ausgabe des ersten Johannesbriefes im Textverzeichnis
sed -n '/62N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-johannes1

# Ausgabe des zweiten Johannesbriefes im Textverzeichnis
sed -n '/63N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-johannes1

# Ausgabe des dritten Johannesbriefes im Textverzeichnis
sed -n '/64N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/iii-johannes1

# Ausgabe des Judasbriefes im Textverzeichnis
sed -n '/65N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/judas1

# Ausgabe der Offenbarung des Johannes im Textverzeichnis
sed -n '/66N/ p' ~/4Bibeln/datei2 > ~/4Bibeln/offenbarung1

# Ausgabe des Tobiasbuches im Textverzeichnis
sed -n '/67A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/tobias1

# Ausgabe des Juditbuches im Textverzeichnis
sed -n '/68A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/judit1

# Ausgabe des griechischen Esterbuches im Textverzeichnis
sed -n '/69A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/griechisch-ester1

# Ausgabe des Weisheitsbuches im Textverzeichnis
sed -n '/70A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/weisheit1

# Ausgabe des Buches Jesus Sirach im Textverzeichnis
sed -n '/71A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/jesus-sirach1

# Ausgabe des Baruchbuches im Textverzeichnis
sed -n '/72A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/baruch1

# Ausgabe des Briefes des Jeremia im Textverzeichnis
sed -n '/73A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/brief-jeremias1

# Ausgabe des Gebetes Asarias im Textverzeichnis
sed -n '/74A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/gebet-asarjas1

# Ausgabe des Susannabuches im Textverzeichnis
sed -n '/75A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/susanna1

# Ausgabe des Drachenbuches im Textverzeichnis
sed -n '/76A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/bel-und-der-drache1

# Ausgabe des ersten Makkabaeerbuches im Textverzeichnis
sed -n '/77A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/i-makkabaeer1

# Ausgabe des zweiten Makkabaeerbuches im Textverzeichnis
sed -n '/78A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/ii-makkabaeer1

# Ausgabe des dritten Makkabaeerbuches im Textverzeichnis
sed -n '/79A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/iii-makkabaeer1

# Ausgabe des vierten Makkabaeerbuches im Textverzeichnis
sed -n '/80A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/iv-makkabaeer1

# Ausgabe dritten Esrabuches im Textverzeichnis
sed -n '/81A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/iii-esra1

# Ausgabe vierten Esrabuches im Textverzeichnis
sed -n '/82A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/iv-esra1

# Ausgabe des Gebetes des Manasse im Textverzeichnis
sed -n '/83A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/gebet-manasses1

# Ausgabe des 152. Psalms im Textverzeichnis
sed -n '/84A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/psalm-1511

# Ausgabe des Psalms Salomos im Textverzeichnis
sed -n '/85A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/psalm-salomos1

# Ausgabe der Oden im Textverzeichnis
sed -n '/86A/ p' ~/4Bibeln/datei2 > ~/4Bibeln/oden1

# Konvertieren des ersten Buches Mose in deutsche Verszaehlung
sed 's/01O 32:32/01O 32:33/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:31/01O 32:32/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 32:30/01O 32:31/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:29/01O 32:30/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 32:28/01O 32:29/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:27/01O 32:28/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 32:26/01O 32:27/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:25/01O 32:26/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 32:24/01O 32:25/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:23/01O 32:24/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 32:22/01O 32:23/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:21/01O 32:22/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 32:20/01O 32:21/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:19/01O 32:20/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 32:18/01O 32:19/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:17/01O 32:18/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 32:16/01O 32:17/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:15/01O 32:16/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 32:14/01O 32:15/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:13/01O 32:14/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 32:12/01O 32:13/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:11/01O 32:12/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 32:10/01O 32:11/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:9/01O 32:10/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 32:8/01O 32:9/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:7/01O 32:8/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 32:6/01O 32:7/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:5/01O 32:6/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 32:4/01O 32:5/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:3/01O 32:4/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 32:2/01O 32:3/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2
sed 's/01O 32:1/01O 32:2/' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis1
sed 's/01O 31:55/01O 32:1/' ~/4Bibeln/genesis1 > ~/4Bibeln/genesis2

# Konvertieren des zweiten Buches Mose in deutsche Verszaehlung
sed 's/02O 22:31/02O 22:30/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 22:30/02O 22:29/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 22:29/02O 22:28/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 22:28/02O 22:27/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 22:27/02O 22:26/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 22:26/02O 22:25/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 22:25/02O 22:24/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 22:24/02O 22:23/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 22:23/02O 22:22/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 22:22/02O 22:21/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 22:21/02O 22:20/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 22:20/02O 22:19/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 22:19/02O 22:18/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 22:18/02O 22:17/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 22:17/02O 22:16/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 22:16/02O 22:15/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 22:15/02O 22:14/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 22:14/02O 22:13/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 22:13/02O 22:12/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 22:12/02O 22:11/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 22:11/02O 22:10/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 22:10/02O 22:9/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 22:9/02O 22:8/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 22:8/02O 22:7/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 22:7/02O 22:6/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 22:6/02O 22:5/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 22:5/02O 22:4/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 22:4/02O 22:3/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 22:3/02O 22:2/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 22:2/02O 22:1/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 22:1/02O 21:37/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:32/02O 8:28/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:31/02O 8:27/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:30/02O 8:26/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:29/02O 8:25/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:28/02O 8:24/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:27/02O 8:23/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:26/02O 8:22/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:25/02O 8:21/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:24/02O 8:20/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:23/02O 8:19/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:22/02O 8:18/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:21/02O 8:17/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:20/02O 8:16/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:19/02O 8:15/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:18/02O 8:14/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:17/02O 8:13/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:16/02O 8:12/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:15/02O 8:11/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:14/02O 8:10/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:13/02O 8:9/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:12/02O 8:8/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:11/02O 8:7/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:10/02O 8:6/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:9/02O 8:5/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:8/02O 8:4/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:7/02O 8:3/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:6/02O 8:2/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:5/02O 8:1/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:4/02O 7:29/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:3/02O 7:28/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1
sed 's/02O 8:2/02O 7:27/' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus2
sed 's/02O 8:1/02O 7:26/' ~/4Bibeln/exodus2 > ~/4Bibeln/exodus1

# Konvertieren des dritten Buches Mose in deutsche Verszaehlung
sed 's/03O 6:30/03O 6:23/' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus1
sed 's/03O 6:29/03O 6:22/' ~/4Bibeln/levitikus1 > ~/4Bibeln/levitikus2
sed 's/03O 6:28/03O 6:21/' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus1
sed 's/03O 6:27/03O 6:20/' ~/4Bibeln/levitikus1 > ~/4Bibeln/levitikus2
sed 's/03O 6:26/03O 6:19/' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus1
sed 's/03O 6:25/03O 6:18/' ~/4Bibeln/levitikus1 > ~/4Bibeln/levitikus2
sed 's/03O 6:24/03O 6:17/' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus1
sed 's/03O 6:23/03O 6:16/' ~/4Bibeln/levitikus1 > ~/4Bibeln/levitikus2
sed 's/03O 6:22/03O 6:15/' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus1
sed 's/03O 6:21/03O 6:14/' ~/4Bibeln/levitikus1 > ~/4Bibeln/levitikus2
sed 's/03O 6:20/03O 6:13/' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus1
sed 's/03O 6:19/03O 6:12/' ~/4Bibeln/levitikus1 > ~/4Bibeln/levitikus2
sed 's/03O 6:18/03O 6:11/' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus1
sed 's/03O 6:17/03O 6:10/' ~/4Bibeln/levitikus1 > ~/4Bibeln/levitikus2
sed 's/03O 6:16/03O 6:9/' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus1
sed 's/03O 6:15/03O 6:8/' ~/4Bibeln/levitikus1 > ~/4Bibeln/levitikus2
sed 's/03O 6:14/03O 6:7/' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus1
sed 's/03O 6:13/03O 6:6/' ~/4Bibeln/levitikus1 > ~/4Bibeln/levitikus2
sed 's/03O 6:12/03O 6:5/' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus1
sed 's/03O 6:11/03O 6:4/' ~/4Bibeln/levitikus1 > ~/4Bibeln/levitikus2
sed 's/03O 6:10/03O 6:3/' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus1
sed 's/03O 6:9/03O 6:2/' ~/4Bibeln/levitikus1 > ~/4Bibeln/levitikus2
sed 's/03O 6:8/03O 6:1/' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus1
sed 's/03O 6:7/03O 5:26/' ~/4Bibeln/levitikus1 > ~/4Bibeln/levitikus2
sed 's/03O 6:6/03O 5:25/' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus1
sed 's/03O 6:5/03O 5:24/' ~/4Bibeln/levitikus1 > ~/4Bibeln/levitikus2
sed 's/03O 6:4/03O 5:23/' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus1
sed 's/03O 6:3/03O 5:22/' ~/4Bibeln/levitikus1 > ~/4Bibeln/levitikus2
sed 's/03O 6:2/03O 5:21/' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus1
sed 's/03O 6:1/03O 5:20/' ~/4Bibeln/levitikus1 > ~/4Bibeln/levitikus2

# Konvertieren des vierten Buches Mose in deutsche Verszaehlung
sed 's/04O 30:16/04O 30:17/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 30:15/04O 30:16/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 30:14/04O 30:15/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 30:13/04O 30:14/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 30:12/04O 30:13/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 30:11/04O 30:12/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 30:10/04O 30:11/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 30:9/04O 30:10/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 30:8/04O 30:9/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 30:7/04O 30:8/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 30:6/04O 30:7/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 30:5/04O 30:6/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 30:4/04O 30:5/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 30:3/04O 30:4/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 30:2/04O 30:3/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 30:1/04O 30:2/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 29:40/04O 30:1/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 25:18/04O 25:19/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 17:13/04O 17:28/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 17:12/04O 17:27/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 17:11/04O 17:26/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 17:10/04O 17:25/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 17:9/04O 17:24/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 17:8/04O 17:23/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 17:7/04O 17:22/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 17:6/04O 17:21/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 17:5/04O 17:20/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 17:4/04O 17:19/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 17:3/04O 17:18/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 17:2/04O 17:17/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 17:1/04O 17:16/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 16:50/04O 17:15/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 16:49/04O 17:14/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 16:48/04O 17:13/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 16:47/04O 17:12/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 16:46/04O 17:11/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 16:45/04O 17:10/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 16:44/04O 17:9/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 16:43/04O 17:8/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 16:42/04O 17:7/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 16:41/04O 17:6/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 16:40/04O 17:5/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 16:39/04O 17:4/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 16:38/04O 17:3/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2
sed 's/04O 16:37/04O 17:2/' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri1
sed 's/04O 16:36/04O 17:1/' ~/4Bibeln/numeri1 > ~/4Bibeln/numeri2

# Konvertieren des fuenften Buches Mose in deutsche Verszaehlung
sed 's/05O 29:29/05O 29:28/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 29:28/05O 29:27/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 29:27/05O 29:26/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 29:26/05O 29:25/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 29:25/05O 29:24/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 29:24/05O 29:23/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 29:23/05O 29:22/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 29:22/05O 29:21/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 29:21/05O 29:20/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 29:20/05O 29:19/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 29:19/05O 29:18/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 29:18/05O 29:17/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 29:17/05O 29:16/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 29:16/05O 29:15/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 29:15/05O 29:14/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 29:14/05O 29:13/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 29:13/05O 29:12/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 29:12/05O 29:11/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 29:11/05O 29:10/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 29:10/05O 29:9/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 29:9/05O 29:8/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 29:8/05O 29:7/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 29:7/05O 29:6/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 29:6/05O 29:5/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 29:5/05O 29:4/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 29:4/05O 29:3/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 29:3/05O 29:2/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 29:2/05O 29:1/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 29:1/05O 28:69/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 23:25/05O 23:26/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 23:24/05O 23:25/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 23:23/05O 23:24/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 23:22/05O 23:23/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 23:21/05O 23:22/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 23:20/05O 23:21/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 23:19/05O 23:20/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 23:18/05O 23:19/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 23:17/05O 23:18/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 23:16/05O 23:17/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 23:15/05O 23:16/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 23:14/05O 23:15/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 23:13/05O 23:14/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 23:12/05O 23:13/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 23:11/05O 23:12/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 23:10/05O 23:11/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 23:9/05O 23:10/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 23:8/05O 23:9/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 23:7/05O 23:8/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 23:6/05O 23:7/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 23:5/05O 23:6/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 23:4/05O 23:5/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 23:3/05O 23:4/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 23:2/05O 23:3/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 23:1/05O 23:2/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 22:30/05O 23:1/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 13:18/05O 13:19/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 13:17/05O 13:18/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 13:16/05O 13:17/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 13:15/05O 13:16/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 13:14/05O 13:15/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 13:13/05O 13:14/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 13:12/05O 13:13/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 13:11/05O 13:12/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 13:10/05O 13:11/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 13:9/05O 13:10/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 13:8/05O 13:9/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 13:7/05O 13:8/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 13:6/05O 13:7/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 13:5/05O 13:6/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 13:4/05O 13:5/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 13:3/05O 13:4/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 13:2/05O 13:3/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2
sed 's/05O 13:1/05O 13:2/' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium1
sed 's/05O 12:32/05O 13:1/' ~/4Bibeln/deuteronomium1 > ~/4Bibeln/deuteronomium2

# Konvertieren des ersten Samuelbuches in deutsche Verszaehlung
sed 's/09O 24:22/09O 24:23/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 24:21/09O 24:22/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 24:20/09O 24:21/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 24:19/09O 24:20/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 24:18/09O 24:19/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 24:17/09O 24:18/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 24:16/09O 24:17/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 24:15/09O 24:16/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 24:14/09O 24:15/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 24:13/09O 24:14/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 24:12/09O 24:13/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 24:11/09O 24:12/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 24:10/09O 24:11/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 24:9/09O 24:10/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 24:8/09O 24:9/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 24:7/09O 24:8/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 24:6/09O 24:7/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 24:5/09O 24:6/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 24:4/09O 24:5/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 24:3/09O 24:4/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 24:2/09O 24:3/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 24:1/09O 24:2/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 23:29/09O 24:1/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 21:15/09O 21:16/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 21:14/09O 21:15/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 21:13/09O 21:14/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 21:12/09O 21:13/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 21:11/09O 21:12/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 21:10/09O 21:11/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 21:9/09O 21:10/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 21:8/09O 21:9/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 21:7/09O 21:8/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 21:6/09O 21:7/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 21:5/09O 21:6/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 21:4/09O 21:5/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 21:3/09O 21:4/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 21:2/09O 21:3/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 21:1/09O 21:2/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2
sed 's/09O 20:42/09O 21:1/' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel1
sed 's/09O 20:42/09O 20:43/' ~/4Bibeln/i-samuel1 > ~/4Bibeln/i-samuel2

# Konvertieren des zweiten Samuelbuches in deutsche Verszaehlung
sed 's/10O 19:43/10O 19:44/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:42/10O 19:43/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:41/10O 19:42/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:40/10O 19:41/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:39/10O 19:40/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:38/10O 19:39/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:37/10O 19:38/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:36/10O 19:37/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:35/10O 19:36/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:34/10O 19:35/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:33/10O 19:34/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:32/10O 19:33/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:31/10O 19:32/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:30/10O 19:31/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:29/10O 19:30/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:28/10O 19:29/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:27/10O 19:28/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:26/10O 19:27/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:25/10O 19:26/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:24/10O 19:25/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:23/10O 19:24/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:22/10O 19:23/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:21/10O 19:22/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:20/10O 19:21/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:19/10O 19:20/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:18/10O 19:19/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:17/10O 19:18/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:16/10O 19:17/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:15/10O 19:16/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:14/10O 19:15/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:13/10O 19:14/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:12/10O 19:13/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:11/10O 19:12/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:10/10O 19:11/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:9/10O 19:10/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:8/10O 19:9/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:7/10O 19:8/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:6/10O 19:7/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:5/10O 19:6/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:4/10O 19:5/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:3/10O 19:4/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 19:2/10O 19:3/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2
sed 's/10O 19:1/10O 19:2/' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel1
sed 's/10O 18:33/10O 19:1/' ~/4Bibeln/ii-samuel1 > ~/4Bibeln/ii-samuel2

# Konvertieren des ersten Koenigbuches in deutsche Verszaehlung
sed 's/11O 22:53/11O 22:54/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 22:52/11O 22:53/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 22:51/11O 22:52/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 22:50/11O 22:51/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 22:49/11O 22:50/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 22:48/11O 22:49/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 22:47/11O 22:48/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 22:46/11O 22:47/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 22:45/11O 22:46/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 22:44/11O 22:45/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 22:43/11O 22:44/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 5:18/11O 5:32/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 5:17/11O 5:31/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 5:16/11O 5:30/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 5:15/11O 5:29/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 5:14/11O 5:28/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 5:13/11O 5:27/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 5:12/11O 5:26/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 5:11/11O 5:25/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 5:10/11O 5:24/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 5:9/11O 5:23/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 5:8/11O 5:22/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 5:7/11O 5:21/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 5:6/11O 5:20/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 5:5/11O 5:19/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 5:4/11O 5:18/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 5:3/11O 5:17/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 5:2/11O 5:16/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 5:1/11O 5:15/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 4:34/11O 5:14/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 4:33/11O 5:13/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 4:32/11O 5:12/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 4:31/11O 5:11/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 4:30/11O 5:10/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 4:29/11O 5:9/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 4:28/11O 5:8/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 4:27/11O 5:7/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 4:26/11O 5:6/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 4:25/11O 5:5/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 4:24/11O 5:4/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 4:23/11O 5:3/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2
sed 's/11O 4:22/11O 5:2/' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige1
sed 's/11O 4:21/11O 5:1/' ~/4Bibeln/i-koenige1 > ~/4Bibeln/i-koenige2

# Konvertieren des zweiten Koenigbuches in deutsche Verszaehlung
sed 's/12O 15:38/12O 15:39/' ~/4Bibeln/ii-koenige2 > ~/4Bibeln/ii-koenige1
sed 's/12O 12:21/12O 12:22/' ~/4Bibeln/ii-koenige1 > ~/4Bibeln/ii-koenige2
sed 's/12O 12:20/12O 12:21/' ~/4Bibeln/ii-koenige2 > ~/4Bibeln/ii-koenige1
sed 's/12O 12:19/12O 12:20/' ~/4Bibeln/ii-koenige1 > ~/4Bibeln/ii-koenige2
sed 's/12O 12:18/12O 12:19/' ~/4Bibeln/ii-koenige2 > ~/4Bibeln/ii-koenige1
sed 's/12O 12:17/12O 12:18/' ~/4Bibeln/ii-koenige1 > ~/4Bibeln/ii-koenige2
sed 's/12O 12:16/12O 12:17/' ~/4Bibeln/ii-koenige2 > ~/4Bibeln/ii-koenige1
sed 's/12O 12:15/12O 12:16/' ~/4Bibeln/ii-koenige1 > ~/4Bibeln/ii-koenige2
sed 's/12O 12:14/12O 12:15/' ~/4Bibeln/ii-koenige2 > ~/4Bibeln/ii-koenige1
sed 's/12O 12:13/12O 12:14/' ~/4Bibeln/ii-koenige1 > ~/4Bibeln/ii-koenige2
sed 's/12O 12:12/12O 12:13/' ~/4Bibeln/ii-koenige2 > ~/4Bibeln/ii-koenige1
sed 's/12O 12:11/12O 12:12/' ~/4Bibeln/ii-koenige1 > ~/4Bibeln/ii-koenige2
sed 's/12O 12:10/12O 12:11/' ~/4Bibeln/ii-koenige2 > ~/4Bibeln/ii-koenige1
sed 's/12O 12:9/12O 12:10/' ~/4Bibeln/ii-koenige1 > ~/4Bibeln/ii-koenige2
sed 's/12O 12:8/12O 12:9/' ~/4Bibeln/ii-koenige2 > ~/4Bibeln/ii-koenige1
sed 's/12O 12:7/12O 12:8/' ~/4Bibeln/ii-koenige1 > ~/4Bibeln/ii-koenige2
sed 's/12O 12:6/12O 12:7/' ~/4Bibeln/ii-koenige2 > ~/4Bibeln/ii-koenige1
sed 's/12O 12:5/12O 12:6/' ~/4Bibeln/ii-koenige1 > ~/4Bibeln/ii-koenige2
sed 's/12O 12:4/12O 12:5/' ~/4Bibeln/ii-koenige2 > ~/4Bibeln/ii-koenige1
sed 's/12O 12:3/12O 12:4/' ~/4Bibeln/ii-koenige1 > ~/4Bibeln/ii-koenige2
sed 's/12O 12:2/12O 12:3/' ~/4Bibeln/ii-koenige2 > ~/4Bibeln/ii-koenige1
sed 's/12O 12:1/12O 12:2/' ~/4Bibeln/ii-koenige1 > ~/4Bibeln/ii-koenige2
sed 's/12O 11:21/12O 12:1/' ~/4Bibeln/ii-koenige2 > ~/4Bibeln/ii-koenige1

# Konvertieren des ersten Chronikbuches in deutsche Verszaehlung
sed 's/13O 12:40/13O 12:41/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:39/13O 12:40/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:38/13O 12:39/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:37/13O 12:38/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:36/13O 12:37/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:35/13O 12:36/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:34/13O 12:35/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:33/13O 12:34/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:32/13O 12:33/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:31/13O 12:32/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:30/13O 12:31/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:29/13O 12:30/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:28/13O 12:29/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:27/13O 12:28/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:26/13O 12:27/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:25/13O 12:26/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:24/13O 12:25/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:23/13O 12:24/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:22/13O 12:23/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:21/13O 12:22/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:20/13O 12:21/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:19/13O 12:20/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:18/13O 12:19/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:17/13O 12:18/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:16/13O 12:17/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:15/13O 12:16/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:14/13O 12:15/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:13/13O 12:14/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:12/13O 12:13/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:11/13O 12:12/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:10/13O 12:11/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:9/13O 12:10/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:8/13O 12:9/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:7/13O 12:8/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:6/13O 12:7/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 12:5/13O 12:6/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 12:4/13O 12:5/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:81/13O 6:66/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:80/13O 6:65/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:79/13O 6:64/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:78/13O 6:63/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:77/13O 6:62/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:76/13O 6:61/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:75/13O 6:60/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:74/13O 6:59/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:73/13O 6:58/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:72/13O 6:57/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:71/13O 6:56/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:70/13O 6:55/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:69/13O 6:54/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:68/13O 6:53/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:67/13O 6:52/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:66/13O 6:51/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:65/13O 6:50/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:64/13O 6:49/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:63/13O 6:48/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:62/13O 6:47/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:61/13O 6:46/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:60/13O 6:45/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:59/13O 6:44/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:58/13O 6:43/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:57/13O 6:42/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:56/13O 6:41/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:55/13O 6:40/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:54/13O 6:39/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:53/13O 6:38/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:52/13O 6:37/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:51/13O 6:36/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:50/13O 6:35/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:49/13O 6:34/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:48/13O 6:33/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:47/13O 6:32/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:46/13O 6:31/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:45/13O 6:30/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:44/13O 6:29/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:43/13O 6:28/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:42/13O 6:27/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:41/13O 6:26/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:40/13O 6:25/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:39/13O 6:24/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:38/13O 6:23/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:37/13O 6:22/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:36/13O 6:21/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:35/13O 6:20/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:34/13O 6:19/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:33/13O 6:18/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:32/13O 6:17/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:31/13O 6:16/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:30/13O 6:15/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:29/13O 6:14/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:28/13O 6:13/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:27/13O 6:12/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:26/13O 6:11/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:25/13O 6:10/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:24/13O 6:9/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:23/13O 6:8/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:22/13O 6:7/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:21/13O 6:6/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:20/13O 6:5/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:19/13O 6:4/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:18/13O 6:3/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:17/13O 6:2/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:16/13O 6:1/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:15/13O 5:41/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:14/13O 5:40/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:13/13O 5:39/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:12/13O 5:38/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:11/13O 5:37/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:10/13O 5:36/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:9/13O 5:35/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:8/13O 5:34/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:7/13O 5:33/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:6/13O 5:32/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:5/13O 5:31/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:4/13O 5:30/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:3/13O 5:29/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2
sed 's/13O 6:2/13O 5:28/' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik1
sed 's/13O 6:1/13O 5:27/' ~/4Bibeln/i-chronik1 > ~/4Bibeln/i-chronik2

# Konvertieren des zweiten Chronikbuches in deutsche Verszaehlung
sed 's/14O 14:15/14O 14:14/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 14:14/14O 14:13/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 14:13/14O 14:12/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 14:12/14O 14:11/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 14:11/14O 14:10/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 14:10/14O 14:9/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 14:9/14O 14:8/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 14:8/14O 14:7/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 14:7/14O 14:6/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 14:6/14O 14:5/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 14:5/14O 14:4/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 14:4/14O 14:3/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 14:3/14O 14:2/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 14:2/14O 14:1/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 14:1/14O 13:23/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 2:18/14O 2:17/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 2:17/14O 2:16/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 2:16/14O 2:15/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 2:15/14O 2:14/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 2:14/14O 2:13/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 2:13/14O 2:12/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 2:12/14O 2:11/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 2:11/14O 2:10/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 2:10/14O 2:9/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 2:9/14O 2:8/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 2:8/14O 2:7/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 2:7/14O 2:6/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 2:6/14O 2:5/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 2:5/14O 2:4/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 2:4/14O 2:3/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 2:3/14O 2:2/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2
sed 's/14O 2:2/14O 2:1/' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik1
sed 's/14O 2:1/14O 1:18/' ~/4Bibeln/ii-chronik1 > ~/4Bibeln/ii-chronik2

# Konvertieren des Nehemiabuches in deutsche Verszaehlung
sed 's/16O 10:39/16O 10:40/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:38/16O 10:39/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:37/16O 10:38/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:36/16O 10:37/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:35/16O 10:36/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:34/16O 10:35/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:33/16O 10:34/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:32/16O 10:33/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:31/16O 10:32/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:30/16O 10:31/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:29/16O 10:30/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:28/16O 10:29/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:27/16O 10:28/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:26/16O 10:27/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:25/16O 10:26/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:24/16O 10:25/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:23/16O 10:24/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:22/16O 10:23/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:21/16O 10:22/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:20/16O 10:21/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:19/16O 10:20/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:18/16O 10:19/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:17/16O 10:18/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:16/16O 10:17/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:15/16O 10:16/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:14/16O 10:15/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:13/16O 10:14/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:12/16O 10:13/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:11/16O 10:12/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:10/16O 10:11/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:9/16O 10:10/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:8/16O 10:9/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:7/16O 10:8/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:6/16O 10:7/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:5/16O 10:6/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:4/16O 10:5/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:3/16O 10:4/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 10:2/16O 10:3/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 10:1/16O 10:2/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 9:38/16O 10:1/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 7:73/16O 7:73/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 7:73/16O 7:72/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 7:72/16O 7:71/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 7:71/16O 7:70/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 7:70/16O 7:69/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 7:69/16O 7:68/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 4:23/16O 4:17/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 4:22/16O 4:16/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 4:21/16O 4:15/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 4:20/16O 4:14/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 4:19/16O 4:13/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 4:18/16O 4:12/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 4:17/16O 4:11/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 4:16/16O 4:10/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 4:15/16O 4:9/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 4:14/16O 4:8/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 4:13/16O 4:7/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 4:12/16O 4:6/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 4:11/16O 4:5/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 4:10/16O 4:4/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 4:9/16O 4:3/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 4:8/16O 4:2/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 4:7/16O 4:1/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 4:6/16O 3:38/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 4:5/16O 3:37/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 4:4/16O 3:36/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 4:3/16O 3:35/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1
sed 's/16O 4:2/16O 3:34/' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia2
sed 's/16O 4:1/16O 3:33/' ~/4Bibeln/nehemia2 > ~/4Bibeln/nehemia1

# Konvertieren des Hiobbuches in deutsche Verszaehlung
sed 's/18O 41:34/18O 41:26/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:33/18O 41:25/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:32/18O 41:24/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:31/18O 41:23/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:30/18O 41:22/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:29/18O 41:21/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:28/18O 41:20/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:27/18O 41:19/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:26/18O 41:18/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:25/18O 41:17/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:24/18O 41:16/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:23/18O 41:15/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:22/18O 41:14/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:21/18O 41:13/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:20/18O 41:12/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:19/18O 41:11/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:18/18O 41:10/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:17/18O 41:9/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:16/18O 41:8/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:15/18O 41:7/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:14/18O 41:6/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:13/18O 41:5/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:12/18O 41:4/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:11/18O 41:3/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:10/18O 41:2/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:9/18O 41:1/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:8/18O 40:32/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:7/18O 40:31/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:6/18O 40:30/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:5/18O 40:29/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:4/18O 40:28/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:3/18O 40:27/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2
sed 's/18O 41:2/18O 40:26/' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob1
sed 's/18O 41:1/18O 40:25/' ~/4Bibeln/hiob1 > ~/4Bibeln/hiob2

# Konvertieren der Psalmen in deutsche Verszaehlung
sed 's/19O 142:7/19O 142:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 142:6/19O 142:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 142:5/19O 142:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 142:4/19O 142:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 142:3/19O 142:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 142:2/19O 142:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 142:1/19O 142:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 140:13/19O 140:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 140:12/19O 140:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 140:11/19O 140:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 140:10/19O 140:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 140:9/19O 140:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 140:8/19O 140:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 140:7/19O 140:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 140:6/19O 140:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 140:5/19O 140:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 140:4/19O 140:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 140:3/19O 140:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 140:2/19O 140:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 140:1/19O 140:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 108:13/19O 108:14/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 108:12/19O 108:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 108:11/19O 108:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 108:10/19O 108:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 108:9/19O 108:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 108:8/19O 108:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 108:7/19O 108:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 108:6/19O 108:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 108:5/19O 108:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 108:4/19O 108:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 108:3/19O 108:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 108:2/19O 108:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 108:1/19O 108:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 102:28/19O 102:29/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 102:27/19O 102:28/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 102:26/19O 102:27/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 102:25/19O 102:26/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 102:24/19O 102:25/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 102:23/19O 102:24/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 102:22/19O 102:23/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 102:21/19O 102:22/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 102:20/19O 102:21/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 102:19/19O 102:20/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 102:18/19O 102:19/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 102:17/19O 102:18/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 102:16/19O 102:17/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 102:15/19O 102:16/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 102:14/19O 102:15/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 102:13/19O 102:14/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 102:12/19O 102:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 102:11/19O 102:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 102:10/19O 102:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 102:9/19O 102:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 102:8/19O 102:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 102:7/19O 102:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 102:6/19O 102:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 102:5/19O 102:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 102:4/19O 102:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 102:3/19O 102:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 102:2/19O 102:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 102:1/19O 102:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 92:15/19O 92:16/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 92:14/19O 92:15/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 92:13/19O 92:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 92:12/19O 92:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 92:11/19O 92:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 92:10/19O 92:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 92:9/19O 92:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 92:8/19O 92:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 92:7/19O 92:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 92:6/19O 92:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 92:5/19O 92:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 92:4/19O 92:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 92:3/19O 92:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 92:2/19O 92:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 92:1/19O 92:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:52/19O 89:53/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:51/19O 89:52/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:50/19O 89:51/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:49/19O 89:50/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:48/19O 89:49/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:47/19O 89:48/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:46/19O 89:47/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:45/19O 89:46/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:44/19O 89:45/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:43/19O 89:44/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:42/19O 89:43/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:41/19O 89:42/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:40/19O 89:41/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:39/19O 89:40/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:38/19O 89:39/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:37/19O 89:38/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:36/19O 89:37/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:35/19O 89:36/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:34/19O 89:35/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:33/19O 89:34/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:32/19O 89:33/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:31/19O 89:32/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:30/19O 89:31/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:29/19O 89:30/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:28/19O 89:29/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:27/19O 89:28/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:26/19O 89:27/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:25/19O 89:26/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:24/19O 89:25/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:23/19O 89:24/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:22/19O 89:23/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:21/19O 89:22/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:20/19O 89:21/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:19/19O 89:20/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:18/19O 89:19/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:17/19O 89:18/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:16/19O 89:17/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:15/19O 89:16/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:14/19O 89:15/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:13/19O 89:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:12/19O 89:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:11/19O 89:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:10/19O 89:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:9/19O 89:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:8/19O 89:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:7/19O 89:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:6/19O 89:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:5/19O 89:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:4/19O 89:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:3/19O 89:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 89:2/19O 89:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 89:1/19O 89:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 88:18/19O 88:19/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 88:17/19O 88:18/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 88:16/19O 88:17/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 88:15/19O 88:16/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 88:14/19O 88:15/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 88:13/19O 88:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 88:12/19O 88:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 88:11/19O 88:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 88:10/19O 88:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 88:9/19O 88:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 88:8/19O 88:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 88:7/19O 88:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 88:6/19O 88:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 88:5/19O 88:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 88:4/19O 88:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 88:3/19O 88:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 88:2/19O 88:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 88:1/19O 88:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 85:13/19O 85:14/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 85:12/19O 85:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 85:11/19O 85:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 85:10/19O 85:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 85:9/19O 85:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 85:8/19O 85:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 85:7/19O 85:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 85:6/19O 85:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 85:5/19O 85:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 85:4/19O 85:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 85:3/19O 85:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 85:2/19O 85:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 85:1/19O 85:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 84:12/19O 84:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 84:11/19O 84:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 84:10/19O 84:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 84:9/19O 84:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 84:8/19O 84:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 84:7/19O 84:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 84:6/19O 84:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 84:5/19O 84:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 84:4/19O 84:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 84:3/19O 84:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 84:2/19O 84:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 84:1/19O 84:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 83:18/19O 83:19/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 83:17/19O 83:18/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 83:16/19O 83:17/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 83:15/19O 83:16/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 83:14/19O 83:15/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 83:13/19O 83:14/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 83:12/19O 83:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 83:11/19O 83:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 83:10/19O 83:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 83:9/19O 83:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 83:8/19O 83:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 83:7/19O 83:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 83:6/19O 83:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 83:5/19O 83:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 83:4/19O 83:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 83:3/19O 83:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 83:2/19O 83:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 83:1/19O 83:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 81:16/19O 81:17/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 81:15/19O 81:16/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 81:14/19O 81:15/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 81:13/19O 81:14/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 81:12/19O 81:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 81:11/19O 81:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 81:10/19O 81:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 81:9/19O 81:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 81:8/19O 81:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 81:7/19O 81:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 81:6/19O 81:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 81:5/19O 81:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 81:4/19O 81:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 81:3/19O 81:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 81:2/19O 81:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 81:1/19O 81:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 80:19/19O 80:20/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 80:18/19O 80:19/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 80:17/19O 80:18/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 80:16/19O 80:17/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 80:15/19O 80:16/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 80:14/19O 80:15/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 80:13/19O 80:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 80:12/19O 80:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 80:11/19O 80:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 80:10/19O 80:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 80:9/19O 80:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 80:8/19O 80:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 80:7/19O 80:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 80:6/19O 80:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 80:5/19O 80:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 80:4/19O 80:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 80:3/19O 80:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 80:2/19O 80:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 80:1/19O 80:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 77:20/19O 77:21/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 77:19/19O 77:20/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 77:18/19O 77:19/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 77:17/19O 77:18/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 77:16/19O 77:17/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 77:15/19O 77:16/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 77:14/19O 77:15/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 77:13/19O 77:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 77:12/19O 77:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 77:11/19O 77:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 77:10/19O 77:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 77:9/19O 77:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 77:8/19O 77:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 77:7/19O 77:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 77:6/19O 77:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 77:5/19O 77:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 77:4/19O 77:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 77:3/19O 77:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 77:2/19O 77:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 77:1/19O 77:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 76:12/19O 76:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 76:11/19O 76:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 76:10/19O 76:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 76:9/19O 76:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 76:8/19O 76:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 76:7/19O 76:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 76:6/19O 76:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 76:5/19O 76:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 76:4/19O 76:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 76:3/19O 76:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 76:2/19O 76:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 76:1/19O 76:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 75:10/19O 75:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 75:9/19O 75:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 75:8/19O 75:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 75:7/19O 75:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 75:6/19O 75:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 75:5/19O 75:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 75:4/19O 75:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 75:3/19O 75:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 75:2/19O 75:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 75:1/19O 75:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 70:5/19O 70:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 70:4/19O 70:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 70:3/19O 70:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 70:2/19O 70:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 70:1/19O 70:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:36/19O 69:37/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:35/19O 69:36/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:34/19O 69:35/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:33/19O 69:34/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:32/19O 69:33/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:31/19O 69:32/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:30/19O 69:31/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:29/19O 69:30/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:28/19O 69:29/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:27/19O 69:28/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:26/19O 69:27/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:25/19O 69:26/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:24/19O 69:25/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:23/19O 69:24/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:22/19O 69:23/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:21/19O 69:22/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:20/19O 69:21/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:19/19O 69:20/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:18/19O 69:19/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:17/19O 69:18/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:16/19O 69:17/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:15/19O 69:16/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:14/19O 69:15/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:13/19O 69:14/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:12/19O 69:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:11/19O 69:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:10/19O 69:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:9/19O 69:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:8/19O 69:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:7/19O 69:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:6/19O 69:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:5/19O 69:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:4/19O 69:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:3/19O 69:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 69:2/19O 69:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 69:1/19O 69:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:35/19O 68:36/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:34/19O 68:35/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:33/19O 68:34/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:32/19O 68:33/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:31/19O 68:32/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:30/19O 68:31/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:29/19O 68:30/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:28/19O 68:29/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:27/19O 68:28/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:26/19O 68:27/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:25/19O 68:26/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:24/19O 68:25/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:23/19O 68:24/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:22/19O 68:23/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:21/19O 68:22/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:20/19O 68:21/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:19/19O 68:20/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:18/19O 68:19/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:17/19O 68:18/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:16/19O 68:17/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:15/19O 68:16/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:14/19O 68:15/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:13/19O 68:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:12/19O 68:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:11/19O 68:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:10/19O 68:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:9/19O 68:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:8/19O 68:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:7/19O 68:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:6/19O 68:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:5/19O 68:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:4/19O 68:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:3/19O 68:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 68:2/19O 68:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 68:1/19O 68:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 67:7/19O 67:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 67:6/19O 67:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 67:5/19O 67:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 67:4/19O 67:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 67:3/19O 67:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 67:2/19O 67:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 67:1/19O 67:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 65:13/19O 65:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 65:12/19O 65:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 65:11/19O 65:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 65:10/19O 65:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 65:9/19O 65:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 65:8/19O 65:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 65:7/19O 65:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 65:6/19O 65:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 65:5/19O 65:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 65:4/19O 65:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 65:3/19O 65:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 65:2/19O 65:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 65:1/19O 65:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 64:10/19O 64:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 64:9/19O 64:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 64:8/19O 64:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 64:7/19O 64:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 64:6/19O 64:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 64:5/19O 64:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 64:4/19O 64:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 64:3/19O 64:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 64:2/19O 64:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 64:1/19O 64:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 63:11/19O 63:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 63:10/19O 63:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 63:9/19O 63:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 63:8/19O 63:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 63:7/19O 63:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 63:6/19O 63:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 63:5/19O 63:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 63:4/19O 63:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 63:3/19O 63:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 63:2/19O 63:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 63:1/19O 63:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 62:12/19O 62:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 62:11/19O 62:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 62:10/19O 62:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 62:9/19O 62:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 62:8/19O 62:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 62:7/19O 62:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 62:6/19O 62:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 62:5/19O 62:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 62:4/19O 62:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 62:3/19O 62:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 62:2/19O 62:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 62:1/19O 62:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 61:8/19O 61:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 61:7/19O 61:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 61:6/19O 61:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 61:5/19O 61:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 61:4/19O 61:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 61:3/19O 61:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 61:2/19O 61:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 61:1/19O 61:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 60:12/19O 60:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 60:11/19O 60:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 60:10/19O 60:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 60:9/19O 60:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 60:8/19O 60:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 60:7/19O 60:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 60:6/19O 60:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 60:5/19O 60:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 60:4/19O 60:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 60:3/19O 60:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 60:2/19O 60:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 60:1/19O 60:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 60:1/19O 60:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 59:17/19O 59:18/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 59:16/19O 59:17/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 59:15/19O 59:16/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 59:14/19O 59:15/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 59:13/19O 59:14/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 59:12/19O 59:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 59:11/19O 59:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 59:10/19O 59:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 59:9/19O 59:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 59:8/19O 59:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 59:7/19O 59:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 59:6/19O 59:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 59:5/19O 59:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 59:4/19O 59:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 59:3/19O 59:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 59:2/19O 59:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 59:1/19O 59:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 58:11/19O 58:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 58:10/19O 58:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 58:9/19O 58:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 58:8/19O 58:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 58:7/19O 58:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 58:6/19O 58:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 58:5/19O 58:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 58:4/19O 58:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 58:3/19O 58:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 58:2/19O 58:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 58:1/19O 58:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 57:11/19O 57:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 57:10/19O 57:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 57:9/19O 57:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 57:8/19O 57:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 57:7/19O 57:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 57:6/19O 57:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 57:5/19O 57:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 57:4/19O 57:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 57:3/19O 57:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 57:2/19O 57:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 57:1/19O 57:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 56:13/19O 56:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 56:12/19O 56:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 56:11/19O 56:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 56:10/19O 56:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 56:9/19O 56:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 56:8/19O 56:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 56:7/19O 56:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 56:6/19O 56:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 56:5/19O 56:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 56:4/19O 56:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 56:3/19O 56:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 56:2/19O 56:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 56:1/19O 56:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 55:23/19O 55:24/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 55:22/19O 55:23/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 55:21/19O 55:22/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 55:20/19O 55:21/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 55:19/19O 55:20/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 55:18/19O 55:19/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 55:17/19O 55:18/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 55:16/19O 55:17/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 55:15/19O 55:16/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 55:14/19O 55:15/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 55:13/19O 55:14/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 55:12/19O 55:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 55:11/19O 55:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 55:10/19O 55:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 55:9/19O 55:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 55:8/19O 55:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 55:7/19O 55:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 55:6/19O 55:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 55:5/19O 55:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 55:4/19O 55:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 55:3/19O 55:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 55:2/19O 55:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 55:1/19O 55:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 54:7/19O 54:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 54:6/19O 54:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 54:5/19O 54:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 54:4/19O 54:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 54:3/19O 54:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 54:2/19O 54:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 54:1/19O 54:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 54:1/19O 54:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 53:6/19O 53:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 53:5/19O 53:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 53:4/19O 53:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 53:3/19O 53:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 53:2/19O 53:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 53:1/19O 53:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 52:9/19O 52:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 52:8/19O 52:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 52:7/19O 52:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 52:6/19O 52:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 52:5/19O 52:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 52:4/19O 52:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 52:3/19O 52:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 52:2/19O 52:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 52:1/19O 52:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 52:1/19O 52:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 51:19/19O 51:21/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 51:18/19O 51:20/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 51:17/19O 51:19/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 51:16/19O 51:18/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 51:15/19O 51:17/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 51:14/19O 51:16/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 51:13/19O 51:15/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 51:12/19O 51:14/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 51:11/19O 51:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 51:10/19O 51:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 51:9/19O 51:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 51:8/19O 51:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 51:7/19O 51:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 51:6/19O 51:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 51:5/19O 51:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 51:4/19O 51:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 51:3/19O 51:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 51:2/19O 51:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 51:1/19O 51:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 51:1/19O 51:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 49:20/19O 49:21/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 49:19/19O 49:20/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 49:18/19O 49:19/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 49:17/19O 49:18/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 49:16/19O 49:17/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 49:15/19O 49:16/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 49:14/19O 49:15/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 49:13/19O 49:14/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 49:12/19O 49:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 49:11/19O 49:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 49:10/19O 49:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 49:9/19O 49:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 49:8/19O 49:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 49:7/19O 49:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 49:6/19O 49:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 49:5/19O 49:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 49:4/19O 49:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 49:3/19O 49:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 49:2/19O 49:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 49:1/19O 49:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 48:14/19O 48:15/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 48:13/19O 48:14/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 48:12/19O 48:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 48:11/19O 48:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 48:10/19O 48:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 48:9/19O 48:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 48:8/19O 48:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 48:7/19O 48:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 48:6/19O 48:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 48:5/19O 48:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 48:4/19O 48:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 48:3/19O 48:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 48:2/19O 48:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 48:1/19O 48:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 47:9/19O 47:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 47:8/19O 47:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 47:7/19O 47:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 47:6/19O 47:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 47:5/19O 47:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 47:4/19O 47:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 47:3/19O 47:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 47:2/19O 47:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 47:1/19O 47:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 46:11/19O 46:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 46:10/19O 46:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 46:9/19O 46:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 46:8/19O 46:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 46:7/19O 46:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 46:6/19O 46:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 46:5/19O 46:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 46:4/19O 46:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 46:3/19O 46:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 46:2/19O 46:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 46:1/19O 46:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 45:17/19O 45:18/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 45:16/19O 45:17/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 45:15/19O 45:16/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 45:14/19O 45:15/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 45:13/19O 45:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 45:12/19O 45:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 45:11/19O 45:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 45:10/19O 45:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 45:9/19O 45:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 45:8/19O 45:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 45:7/19O 45:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 45:6/19O 45:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 45:5/19O 45:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 45:4/19O 45:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 45:3/19O 45:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 45:2/19O 45:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 45:1/19O 45:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 44:26/19O 44:27/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 44:25/19O 44:26/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 44:24/19O 44:25/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 44:23/19O 44:24/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 44:22/19O 44:23/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 44:21/19O 44:22/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 44:20/19O 44:21/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 44:19/19O 44:20/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 44:18/19O 44:19/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 44:17/19O 44:18/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 44:16/19O 44:17/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 44:15/19O 44:16/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 44:14/19O 44:15/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 44:13/19O 44:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 44:12/19O 44:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 44:11/19O 44:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 44:10/19O 44:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 44:9/19O 44:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 44:8/19O 44:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 44:7/19O 44:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 44:6/19O 44:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 44:5/19O 44:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 44:4/19O 44:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 44:3/19O 44:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 44:2/19O 44:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 44:1/19O 44:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 42:11/19O 42:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 42:10/19O 42:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 42:9/19O 42:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 42:8/19O 42:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 42:7/19O 42:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 42:6/19O 42:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 42:5/19O 42:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 42:4/19O 42:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 42:3/19O 42:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 42:2/19O 42:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 42:1/19O 42:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 41:13/19O 41:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 41:12/19O 41:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 41:11/19O 41:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 41:10/19O 41:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 41:9/19O 41:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 41:8/19O 41:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 41:7/19O 41:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 41:6/19O 41:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 41:5/19O 41:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 41:4/19O 41:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 41:3/19O 41:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 41:2/19O 41:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 41:1/19O 41:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 40:17/19O 40:18/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 40:16/19O 40:17/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 40:15/19O 40:16/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 40:14/19O 40:15/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 40:13/19O 40:14/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 40:12/19O 40:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 40:11/19O 40:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 40:10/19O 40:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 40:9/19O 40:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 40:8/19O 40:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 40:7/19O 40:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 40:6/19O 40:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 40:5/19O 40:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 40:4/19O 40:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 40:3/19O 40:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 40:2/19O 40:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 40:1/19O 40:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 39:13/19O 39:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 39:12/19O 39:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 39:11/19O 39:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 39:10/19O 39:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 39:9/19O 39:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 39:8/19O 39:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 39:7/19O 39:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 39:6/19O 39:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 39:5/19O 39:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 39:4/19O 39:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 39:3/19O 39:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 39:2/19O 39:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 39:1/19O 39:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 38:22/19O 38:23/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 38:21/19O 38:22/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 38:20/19O 38:21/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 38:19/19O 38:20/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 38:18/19O 38:19/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 38:17/19O 38:18/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 38:16/19O 38:17/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 38:15/19O 38:16/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 38:14/19O 38:15/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 38:13/19O 38:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 38:12/19O 38:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 38:11/19O 38:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 38:10/19O 38:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 38:9/19O 38:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 38:8/19O 38:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 38:7/19O 38:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 38:6/19O 38:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 38:5/19O 38:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 38:4/19O 38:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 38:3/19O 38:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 38:2/19O 38:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 38:1/19O 38:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 36:12/19O 36:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 36:11/19O 36:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 36:10/19O 36:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 36:9/19O 36:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 36:8/19O 36:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 36:7/19O 36:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 36:6/19O 36:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 36:5/19O 36:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 36:4/19O 36:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 36:3/19O 36:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 36:2/19O 36:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 36:1/19O 36:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 34:22/19O 34:23/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 34:21/19O 34:22/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 34:20/19O 34:21/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 34:19/19O 34:20/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 34:18/19O 34:19/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 34:17/19O 34:18/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 34:16/19O 34:17/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 34:15/19O 34:16/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 34:14/19O 34:15/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 34:13/19O 34:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 34:12/19O 34:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 34:11/19O 34:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 34:10/19O 34:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 34:9/19O 34:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 34:8/19O 34:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 34:7/19O 34:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 34:6/19O 34:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 34:5/19O 34:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 34:4/19O 34:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 34:3/19O 34:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 34:2/19O 34:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 34:1/19O 34:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 31:24/19O 31:25/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 31:23/19O 31:24/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 31:22/19O 31:23/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 31:21/19O 31:22/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 31:20/19O 31:21/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 31:19/19O 31:20/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 31:18/19O 31:19/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 31:17/19O 31:18/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 31:16/19O 31:17/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 31:15/19O 31:16/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 31:14/19O 31:15/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 31:13/19O 31:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 31:12/19O 31:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 31:11/19O 31:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 31:10/19O 31:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 31:9/19O 31:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 31:8/19O 31:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 31:7/19O 31:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 31:6/19O 31:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 31:5/19O 31:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 31:4/19O 31:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 31:3/19O 31:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 31:2/19O 31:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 31:1/19O 31:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 30:12/19O 30:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 30:11/19O 30:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 30:10/19O 30:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 30:9/19O 30:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 30:8/19O 30:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 30:7/19O 30:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 30:6/19O 30:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 30:5/19O 30:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 30:4/19O 30:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 30:3/19O 30:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 30:2/19O 30:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 30:1/19O 30:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:31/19O 22:32/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 22:30/19O 22:31/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:29/19O 22:30/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 22:28/19O 22:29/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:27/19O 22:28/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 22:26/19O 22:27/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:25/19O 22:26/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 22:24/19O 22:25/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:23/19O 22:24/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 22:22/19O 22:23/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:21/19O 22:22/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 22:20/19O 22:21/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:19/19O 22:20/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 22:18/19O 22:19/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:17/19O 22:18/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 22:16/19O 22:17/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:15/19O 22:16/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 22:14/19O 22:15/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:13/19O 22:14/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 22:12/19O 22:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:11/19O 22:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 22:10/19O 22:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:9/19O 22:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 22:8/19O 22:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:7/19O 22:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 22:6/19O 22:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:5/19O 22:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 22:4/19O 22:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:3/19O 22:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 22:2/19O 22:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 22:1/19O 22:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 21:13/19O 21:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 21:12/19O 21:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 21:11/19O 21:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 21:10/19O 21:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 21:9/19O 21:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 21:8/19O 21:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 21:7/19O 21:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 21:6/19O 21:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 21:5/19O 21:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 21:4/19O 21:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 21:3/19O 21:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 21:2/19O 21:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 21:1/19O 21:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 20:9/19O 20:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 20:8/19O 20:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 20:7/19O 20:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 20:6/19O 20:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 20:5/19O 20:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 20:4/19O 20:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 20:3/19O 20:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 20:2/19O 20:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 20:1/19O 20:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 19:14/19O 19:15/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 19:13/19O 19:14/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 19:12/19O 19:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 19:11/19O 19:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 19:10/19O 19:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 19:9/19O 19:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 19:8/19O 19:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 19:7/19O 19:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 19:6/19O 19:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 19:5/19O 19:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 19:4/19O 19:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 19:3/19O 19:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 19:2/19O 19:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 19:1/19O 19:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:50/19O 18:51/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:49/19O 18:50/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:48/19O 18:49/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:47/19O 18:48/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:46/19O 18:47/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:45/19O 18:46/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:44/19O 18:45/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:43/19O 18:44/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:42/19O 18:43/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:41/19O 18:42/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:40/19O 18:41/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:39/19O 18:40/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:38/19O 18:39/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:37/19O 18:38/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:36/19O 18:37/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:35/19O 18:36/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:34/19O 18:35/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:33/19O 18:34/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:32/19O 18:33/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:31/19O 18:32/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:30/19O 18:31/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:29/19O 18:30/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:28/19O 18:29/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:27/19O 18:28/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:26/19O 18:27/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:25/19O 18:26/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:24/19O 18:25/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:23/19O 18:24/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:22/19O 18:23/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:21/19O 18:22/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:20/19O 18:21/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:19/19O 18:20/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:18/19O 18:19/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:17/19O 18:18/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:16/19O 18:17/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:15/19O 18:16/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:14/19O 18:15/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:13/19O 18:14/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:12/19O 18:13/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:11/19O 18:12/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:10/19O 18:11/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:9/19O 18:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:8/19O 18:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:7/19O 18:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:6/19O 18:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:5/19O 18:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:4/19O 18:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:3/19O 18:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 18:2/19O 18:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 18:1/19O 18:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 13:6/19O 13:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 12:8/19O 12:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 12:7/19O 12:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 12:6/19O 12:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 12:5/19O 12:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 12:4/19O 12:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 12:3/19O 12:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 12:2/19O 12:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 12:1/19O 12:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 9:20/19O 9:21/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 9:19/19O 9:20/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 9:18/19O 9:19/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 9:17/19O 9:18/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 9:16/19O 9:17/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 9:15/19O 9:16/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 9:14/19O 9:15/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 9:13/19O 9:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 9:12/19O 9:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 9:11/19O 9:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 9:10/19O 9:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 9:9/19O 9:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 9:8/19O 9:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 9:7/19O 9:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 9:6/19O 9:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 9:5/19O 9:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 9:4/19O 9:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 9:3/19O 9:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 9:2/19O 9:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 9:1/19O 9:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 8:9/19O 8:10/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 8:8/19O 8:9/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 8:7/19O 8:8/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 8:6/19O 8:7/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 8:5/19O 8:6/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 8:4/19O 8:5/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 8:3/19O 8:4/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 8:2/19O 8:3/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 8:1/19O 8:2/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 7:17/19O 7:18/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 7:16/19O 7:17/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 7:15/19O 7:16/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 7:14/19O 7:15/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 7:13/19O 7:14/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 7:12/19O 7:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 7:11/19O 7:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 7:10/19O 7:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 7:9/19O 7:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 7:8/19O 7:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 7:7/19O 7:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 7:6/19O 7:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 7:5/19O 7:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 7:4/19O 7:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 7:3/19O 7:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 7:2/19O 7:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 7:1/19O 7:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 6:10/19O 6:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 6:9/19O 6:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 6:8/19O 6:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 6:7/19O 6:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 6:6/19O 6:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 6:5/19O 6:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 6:4/19O 6:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 6:3/19O 6:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 6:2/19O 6:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 6:1/19O 6:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 5:12/19O 5:13/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 5:11/19O 5:12/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 5:10/19O 5:11/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 5:9/19O 5:10/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 5:8/19O 5:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 5:7/19O 5:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 5:6/19O 5:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 5:5/19O 5:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 5:4/19O 5:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 5:3/19O 5:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 5:2/19O 5:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 5:1/19O 5:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 4:8/19O 4:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 4:7/19O 4:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 4:6/19O 4:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 4:5/19O 4:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 4:4/19O 4:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 4:3/19O 4:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 4:2/19O 4:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 4:1/19O 4:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 3:8/19O 3:9/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 3:7/19O 3:8/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 3:6/19O 3:7/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 3:5/19O 3:6/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 3:4/19O 3:5/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 3:3/19O 3:4/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2
sed 's/19O 3:2/19O 3:3/' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen1
sed 's/19O 3:1/19O 3:2/' ~/4Bibeln/psalmen1 > ~/4Bibeln/psalmen2

# Konvertieren des Predigerbuches in deutsche Verszaehlung
sed 's/21O 5:20/21O 5:19/' ~/4Bibeln/prediger2 > ~/4Bibeln/prediger1
sed 's/21O 5:19/21O 5:18/' ~/4Bibeln/prediger1 > ~/4Bibeln/prediger2
sed 's/21O 5:18/21O 5:17/' ~/4Bibeln/prediger2 > ~/4Bibeln/prediger1
sed 's/21O 5:17/21O 5:16/' ~/4Bibeln/prediger1 > ~/4Bibeln/prediger2
sed 's/21O 5:16/21O 5:15/' ~/4Bibeln/prediger2 > ~/4Bibeln/prediger1
sed 's/21O 5:15/21O 5:14/' ~/4Bibeln/prediger1 > ~/4Bibeln/prediger2
sed 's/21O 5:14/21O 5:13/' ~/4Bibeln/prediger2 > ~/4Bibeln/prediger1
sed 's/21O 5:13/21O 5:12/' ~/4Bibeln/prediger1 > ~/4Bibeln/prediger2
sed 's/21O 5:12/21O 5:11/' ~/4Bibeln/prediger2 > ~/4Bibeln/prediger1
sed 's/21O 5:11/21O 5:10/' ~/4Bibeln/prediger1 > ~/4Bibeln/prediger2
sed 's/21O 5:10/21O 5:9/' ~/4Bibeln/prediger2 > ~/4Bibeln/prediger1
sed 's/21O 5:9/21O 5:8/' ~/4Bibeln/prediger1 > ~/4Bibeln/prediger2
sed 's/21O 5:8/21O 5:7/' ~/4Bibeln/prediger2 > ~/4Bibeln/prediger1
sed 's/21O 5:7/21O 5:6/' ~/4Bibeln/prediger1 > ~/4Bibeln/prediger2
sed 's/21O 5:6/21O 5:5/' ~/4Bibeln/prediger2 > ~/4Bibeln/prediger1
sed 's/21O 5:5/21O 5:4/' ~/4Bibeln/prediger1 > ~/4Bibeln/prediger2
sed 's/21O 5:4/21O 5:3/' ~/4Bibeln/prediger2 > ~/4Bibeln/prediger1
sed 's/21O 5:3/21O 5:2/' ~/4Bibeln/prediger1 > ~/4Bibeln/prediger2
sed 's/21O 5:2/21O 5:1/' ~/4Bibeln/prediger2 > ~/4Bibeln/prediger1
sed 's/21O 5:1/21O 4:17/' ~/4Bibeln/prediger1 > ~/4Bibeln/prediger2

# Konvertieren des Hoheliedes in deutsche Verszaehlung
sed 's/22O 7:13/22O 7:14/' ~/4Bibeln/hohelied2 > ~/4Bibeln/hohelied1
sed 's/22O 7:12/22O 7:13/' ~/4Bibeln/hohelied1 > ~/4Bibeln/hohelied2
sed 's/22O 7:11/22O 7:12/' ~/4Bibeln/hohelied2 > ~/4Bibeln/hohelied1
sed 's/22O 7:10/22O 7:11/' ~/4Bibeln/hohelied1 > ~/4Bibeln/hohelied2
sed 's/22O 7:9/22O 7:10/' ~/4Bibeln/hohelied2 > ~/4Bibeln/hohelied1
sed 's/22O 7:8/22O 7:9/' ~/4Bibeln/hohelied1 > ~/4Bibeln/hohelied2
sed 's/22O 7:7/22O 7:8/' ~/4Bibeln/hohelied2 > ~/4Bibeln/hohelied1
sed 's/22O 7:6/22O 7:7/' ~/4Bibeln/hohelied1 > ~/4Bibeln/hohelied2
sed 's/22O 7:5/22O 7:6/' ~/4Bibeln/hohelied2 > ~/4Bibeln/hohelied1
sed 's/22O 7:4/22O 7:5/' ~/4Bibeln/hohelied1 > ~/4Bibeln/hohelied2
sed 's/22O 7:3/22O 7:4/' ~/4Bibeln/hohelied2 > ~/4Bibeln/hohelied1
sed 's/22O 7:2/22O 7:3/' ~/4Bibeln/hohelied1 > ~/4Bibeln/hohelied2
sed 's/22O 7:1/22O 7:2/' ~/4Bibeln/hohelied2 > ~/4Bibeln/hohelied1
sed 's/22O 6:13/22O 7:1/' ~/4Bibeln/hohelied1 > ~/4Bibeln/hohelied2

# Konvertieren des Jesajabuches in deutsche Verszaehlung
sed 's/23O 64:12/23O 64:11/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 64:11/23O 64:10/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 64:10/23O 64:9/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 64:9/23O 64:8/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 64:8/23O 64:7/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 64:7/23O 64:6/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 64:6/23O 64:5/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 64:5/23O 64:4/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 64:4/23O 64:3/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 64:3/23O 64:2/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 64:2/23O 64:1/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 64:1/23O 63:20/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 9:21/23O 9:20/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 9:20/23O 9:19/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 9:19/23O 9:18/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 9:18/23O 9:17/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 9:17/23O 9:16/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 9:16/23O 9:15/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 9:15/23O 9:14/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 9:14/23O 9:13/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 9:13/23O 9:12/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 9:12/23O 9:11/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 9:11/23O 9:10/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 9:10/23O 9:9/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 9:9/23O 9:8/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 9:8/23O 9:7/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 9:7/23O 9:6/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 9:6/23O 9:5/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 9:5/23O 9:4/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 9:4/23O 9:3/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 9:3/23O 9:2/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2
sed 's/23O 9:2/23O 9:1/' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja1
sed 's/23O 9:1/23O 8:23/' ~/4Bibeln/jesaja1 > ~/4Bibeln/jesaja2

# Konvertieren des Jeremiabuches in deutsche Verszaehlung
sed 's/24O 9:26/24O 9:25/' ~/4Bibeln/jeremia1 > ~/4Bibeln/jeremia2
sed 's/24O 9:25/24O 9:24/' ~/4Bibeln/jeremia2 > ~/4Bibeln/jeremia1
sed 's/24O 9:24/24O 9:23/' ~/4Bibeln/jeremia1 > ~/4Bibeln/jeremia2
sed 's/24O 9:23/24O 9:22/' ~/4Bibeln/jeremia2 > ~/4Bibeln/jeremia1
sed 's/24O 9:22/24O 9:21/' ~/4Bibeln/jeremia1 > ~/4Bibeln/jeremia2
sed 's/24O 9:21/24O 9:20/' ~/4Bibeln/jeremia2 > ~/4Bibeln/jeremia1
sed 's/24O 9:20/24O 9:19/' ~/4Bibeln/jeremia1 > ~/4Bibeln/jeremia2
sed 's/24O 9:19/24O 9:18/' ~/4Bibeln/jeremia2 > ~/4Bibeln/jeremia1
sed 's/24O 9:18/24O 9:17/' ~/4Bibeln/jeremia1 > ~/4Bibeln/jeremia2
sed 's/24O 9:17/24O 9:16/' ~/4Bibeln/jeremia2 > ~/4Bibeln/jeremia1
sed 's/24O 9:16/24O 9:15/' ~/4Bibeln/jeremia1 > ~/4Bibeln/jeremia2
sed 's/24O 9:15/24O 9:14/' ~/4Bibeln/jeremia2 > ~/4Bibeln/jeremia1
sed 's/24O 9:14/24O 9:13/' ~/4Bibeln/jeremia1 > ~/4Bibeln/jeremia2
sed 's/24O 9:13/24O 9:12/' ~/4Bibeln/jeremia2 > ~/4Bibeln/jeremia1
sed 's/24O 9:12/24O 9:11/' ~/4Bibeln/jeremia1 > ~/4Bibeln/jeremia2
sed 's/24O 9:11/24O 9:10/' ~/4Bibeln/jeremia2 > ~/4Bibeln/jeremia1
sed 's/24O 9:10/24O 9:9/' ~/4Bibeln/jeremia1 > ~/4Bibeln/jeremia2
sed 's/24O 9:9/24O 9:8/' ~/4Bibeln/jeremia2 > ~/4Bibeln/jeremia1
sed 's/24O 9:8/24O 9:7/' ~/4Bibeln/jeremia1 > ~/4Bibeln/jeremia2
sed 's/24O 9:7/24O 9:6/' ~/4Bibeln/jeremia2 > ~/4Bibeln/jeremia1
sed 's/24O 9:6/24O 9:5/' ~/4Bibeln/jeremia1 > ~/4Bibeln/jeremia2
sed 's/24O 9:5/24O 9:4/' ~/4Bibeln/jeremia2 > ~/4Bibeln/jeremia1
sed 's/24O 9:4/24O 9:3/' ~/4Bibeln/jeremia1 > ~/4Bibeln/jeremia2
sed 's/24O 9:3/24O 9:2/' ~/4Bibeln/jeremia2 > ~/4Bibeln/jeremia1
sed 's/24O 9:2/24O 9:1/' ~/4Bibeln/jeremia1 > ~/4Bibeln/jeremia2
sed 's/24O 9:1/24O 8:23/' ~/4Bibeln/jeremia2 > ~/4Bibeln/jeremia1

# Konvertieren des Ezechielbuches in deutsche Verszaehlung
sed 's/26O 21:32/26O 21:37/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:31/26O 21:36/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 21:30/26O 21:35/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:29/26O 21:34/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 21:28/26O 21:33/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:27/26O 21:32/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 21:26/26O 21:31/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:25/26O 21:30/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 21:24/26O 21:29/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:23/26O 21:28/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 21:22/26O 21:27/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:21/26O 21:26/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 21:20/26O 21:25/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:19/26O 21:24/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 21:18/26O 21:23/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:17/26O 21:22/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 21:16/26O 21:21/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:15/26O 21:20/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 21:14/26O 21:19/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:13/26O 21:18/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 21:12/26O 21:17/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:11/26O 21:16/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 21:10/26O 21:15/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:9/26O 21:14/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 21:8/26O 21:13/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:7/26O 21:12/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 21:6/26O 21:11/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:5/26O 21:10/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 21:4/26O 21:9/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:3/26O 21:8/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 21:2/26O 21:7/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 21:1/26O 21:6/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 20:49/26O 21:5/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 20:48/26O 21:4/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 20:47/26O 21:3/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1
sed 's/26O 20:46/26O 21:2/' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel2
sed 's/26O 20:45/26O 21:1/' ~/4Bibeln/ezechiel2 > ~/4Bibeln/ezechiel1

# Konvertieren des Danielbuches in deutsche Verszaehlung
sed 's/27O 6:28/27O 6:29/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 6:27/27O 6:28/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 6:26/27O 6:27/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 6:25/27O 6:26/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 6:24/27O 6:25/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 6:23/27O 6:24/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 6:22/27O 6:23/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 6:21/27O 6:22/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 6:20/27O 6:21/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 6:19/27O 6:20/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 6:18/27O 6:19/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 6:17/27O 6:18/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 6:16/27O 6:17/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 6:15/27O 6:16/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 6:14/27O 6:15/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 6:13/27O 6:14/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 6:12/27O 6:13/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 6:11/27O 6:12/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 6:10/27O 6:11/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 6:9/27O 6:10/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 6:8/27O 6:9/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 6:7/27O 6:8/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 6:6/27O 6:7/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 6:5/27O 6:6/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 6:4/27O 6:5/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 6:3/27O 6:4/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 6:2/27O 6:3/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 6:1/27O 6:2/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 5:31/27O 6:1/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:37/27O 4:34/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:36/27O 4:33/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:35/27O 4:32/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:34/27O 4:31/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:33/27O 4:30/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:32/27O 4:29/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:31/27O 4:28/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:30/27O 4:27/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:29/27O 4:26/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:28/27O 4:25/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:27/27O 4:24/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:26/27O 4:23/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:25/27O 4:22/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:24/27O 4:21/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:23/27O 4:20/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:22/27O 4:19/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:21/27O 4:18/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:20/27O 4:17/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:19/27O 4:16/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:18/27O 4:15/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:17/27O 4:14/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:16/27O 4:13/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:15/27O 4:12/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:14/27O 4:11/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:13/27O 4:10/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:12/27O 4:9/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:11/27O 4:8/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:10/27O 4:7/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:9/27O 4:6/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:8/27O 4:5/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:7/27O 4:4/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:6/27O 4:3/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:5/27O 4:2/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:4/27O 4:1/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:3/27O 3:100/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:2/27O 3:99/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:1/27O 3:98/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 3:30/27O 3:97/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 3:29/27O 3:96/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 3:28/27O 3:95/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 3:27/27O 3:94/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 3:26/27O 3:93/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 3:25/27O 3:92/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 3:24/27O 3:91/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:3/27O 3:33/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2
sed 's/27O 4:2/27O 3:32/' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel1
sed 's/27O 4:1/27O 3:31/' ~/4Bibeln/daniel1 > ~/4Bibeln/daniel2

# Konvertieren des Hoseabuches in deutsche Verszaehlung
sed 's/28O 14:9/28O 14:10/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 14:8/28O 14:9/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 14:7/28O 14:8/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 14:6/28O 14:7/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 14:5/28O 14:6/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 14:4/28O 14:5/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 14:3/28O 14:4/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 14:2/28O 14:3/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 14:1/28O 14:2/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 13:16/28O 14:1/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 12:14/28O 12:15/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 12:13/28O 12:14/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 12:12/28O 12:13/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 12:11/28O 12:12/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 12:10/28O 12:11/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 12:9/28O 12:10/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 12:8/28O 12:9/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 12:7/28O 12:8/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 12:6/28O 12:7/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 12:5/28O 12:6/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 12:4/28O 12:5/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 12:3/28O 12:4/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 12:2/28O 12:3/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 12:1/28O 12:2/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 11:12/28O 12:1/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 2:23/28O 2:25/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 2:22/28O 2:24/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 2:21/28O 2:23/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 2:20/28O 2:22/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 2:19/28O 2:21/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 2:18/28O 2:20/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 2:17/28O 2:19/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 2:16/28O 2:18/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 2:15/28O 2:17/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 2:14/28O 2:16/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 2:13/28O 2:15/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 2:12/28O 2:14/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 2:11/28O 2:13/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 2:10/28O 2:12/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 2:9/28O 2:11/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 2:8/28O 2:10/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 2:7/28O 2:9/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 2:6/28O 2:8/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 2:5/28O 2:7/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 2:4/28O 2:6/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 2:3/28O 2:5/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 2:2/28O 2:4/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 2:1/28O 2:3/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2
sed 's/28O 1:11/28O 2:2/' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea1
sed 's/28O 1:10/28O 2:1/' ~/4Bibeln/hosea1 > ~/4Bibeln/hosea2

# Konvertieren des Joelbuches in deutsche Verszaehlung
sed 's/29O 3:21/29O 4:21/' ~/4Bibeln/joel2 > ~/4Bibeln/joel1
sed 's/29O 3:20/29O 4:20/' ~/4Bibeln/joel1 > ~/4Bibeln/joel2
sed 's/29O 3:19/29O 4:19/' ~/4Bibeln/joel2 > ~/4Bibeln/joel1
sed 's/29O 3:18/29O 4:18/' ~/4Bibeln/joel1 > ~/4Bibeln/joel2
sed 's/29O 3:17/29O 4:17/' ~/4Bibeln/joel2 > ~/4Bibeln/joel1
sed 's/29O 3:16/29O 4:16/' ~/4Bibeln/joel1 > ~/4Bibeln/joel2
sed 's/29O 3:15/29O 4:15/' ~/4Bibeln/joel2 > ~/4Bibeln/joel1
sed 's/29O 3:14/29O 4:14/' ~/4Bibeln/joel1 > ~/4Bibeln/joel2
sed 's/29O 3:13/29O 4:13/' ~/4Bibeln/joel2 > ~/4Bibeln/joel1
sed 's/29O 3:12/29O 4:12/' ~/4Bibeln/joel1 > ~/4Bibeln/joel2
sed 's/29O 3:11/29O 4:11/' ~/4Bibeln/joel2 > ~/4Bibeln/joel1
sed 's/29O 3:10/29O 4:10/' ~/4Bibeln/joel1 > ~/4Bibeln/joel2
sed 's/29O 3:9/29O 4:9/' ~/4Bibeln/joel2 > ~/4Bibeln/joel1
sed 's/29O 3:8/29O 4:8/' ~/4Bibeln/joel1 > ~/4Bibeln/joel2
sed 's/29O 3:7/29O 4:7/' ~/4Bibeln/joel2 > ~/4Bibeln/joel1
sed 's/29O 3:6/29O 4:6/' ~/4Bibeln/joel1 > ~/4Bibeln/joel2
sed 's/29O 3:5/29O 4:5/' ~/4Bibeln/joel2 > ~/4Bibeln/joel1
sed 's/29O 3:4/29O 4:4/' ~/4Bibeln/joel1 > ~/4Bibeln/joel2
sed 's/29O 3:3/29O 4:3/' ~/4Bibeln/joel2 > ~/4Bibeln/joel1
sed 's/29O 3:2/29O 4:2/' ~/4Bibeln/joel1 > ~/4Bibeln/joel2
sed 's/29O 3:1/29O 4:1/' ~/4Bibeln/joel2 > ~/4Bibeln/joel1
sed 's/29O 2:32/29O 3:5/' ~/4Bibeln/joel1 > ~/4Bibeln/joel2
sed 's/29O 2:31/29O 3:4/' ~/4Bibeln/joel2 > ~/4Bibeln/joel1
sed 's/29O 2:30/29O 3:3/' ~/4Bibeln/joel1 > ~/4Bibeln/joel2
sed 's/29O 2:29/29O 3:2/' ~/4Bibeln/joel2 > ~/4Bibeln/joel1
sed 's/29O 2:28/29O 3:1/' ~/4Bibeln/joel1 > ~/4Bibeln/joel2

# Konvertieren des Jonabuches in deutsche Verszaehlung
sed 's/32O 2:10/32O 2:11/' ~/4Bibeln/jona1 > ~/4Bibeln/jona2
sed 's/32O 2:9/32O 2:10/' ~/4Bibeln/jona2 > ~/4Bibeln/jona1
sed 's/32O 2:8/32O 2:9/' ~/4Bibeln/jona1 > ~/4Bibeln/jona2
sed 's/32O 2:7/32O 2:8/' ~/4Bibeln/jona2 > ~/4Bibeln/jona1
sed 's/32O 2:6/32O 2:7/' ~/4Bibeln/jona1 > ~/4Bibeln/jona2
sed 's/32O 2:5/32O 2:6/' ~/4Bibeln/jona2 > ~/4Bibeln/jona1
sed 's/32O 2:4/32O 2:5/' ~/4Bibeln/jona1 > ~/4Bibeln/jona2
sed 's/32O 2:3/32O 2:4/' ~/4Bibeln/jona2 > ~/4Bibeln/jona1
sed 's/32O 2:2/32O 2:3/' ~/4Bibeln/jona1 > ~/4Bibeln/jona2
sed 's/32O 2:1/32O 2:2/' ~/4Bibeln/jona2 > ~/4Bibeln/jona1
sed 's/32O 1:17/32O 2:1/' ~/4Bibeln/jona1 > ~/4Bibeln/jona2

# Konvertieren des Michabuches in deutsche Verszaehlung
sed 's/33O 5:15/33O 5:14/' ~/4Bibeln/micha2 > ~/4Bibeln/micha1
sed 's/33O 5:14/33O 5:13/' ~/4Bibeln/micha1 > ~/4Bibeln/micha2
sed 's/33O 5:13/33O 5:12/' ~/4Bibeln/micha2 > ~/4Bibeln/micha1
sed 's/33O 5:12/33O 5:11/' ~/4Bibeln/micha1 > ~/4Bibeln/micha2
sed 's/33O 5:11/33O 5:10/' ~/4Bibeln/micha2 > ~/4Bibeln/micha1
sed 's/33O 5:10/33O 5:9/' ~/4Bibeln/micha1 > ~/4Bibeln/micha2
sed 's/33O 5:9/33O 5:8/' ~/4Bibeln/micha2 > ~/4Bibeln/micha1
sed 's/33O 5:8/33O 5:7/' ~/4Bibeln/micha1 > ~/4Bibeln/micha2
sed 's/33O 5:7/33O 5:6/' ~/4Bibeln/micha2 > ~/4Bibeln/micha1
sed 's/33O 5:6/33O 5:5/' ~/4Bibeln/micha1 > ~/4Bibeln/micha2
sed 's/33O 5:5/33O 5:4/' ~/4Bibeln/micha2 > ~/4Bibeln/micha1
sed 's/33O 5:4/33O 5:3/' ~/4Bibeln/micha1 > ~/4Bibeln/micha2
sed 's/33O 5:3/33O 5:2/' ~/4Bibeln/micha2 > ~/4Bibeln/micha1
sed 's/33O 5:2/33O 5:1/' ~/4Bibeln/micha1 > ~/4Bibeln/micha2
sed 's/33O 5:1/33O 4:14/' ~/4Bibeln/micha2 > ~/4Bibeln/micha1

# Konvertieren des Nahumbuches in deutsche Verszaehlung
sed 's/34O 2:13/34O 2:14/' ~/4Bibeln/nahum2 > ~/4Bibeln/nahum1
sed 's/34O 2:12/34O 2:13/' ~/4Bibeln/nahum1 > ~/4Bibeln/nahum2
sed 's/34O 2:11/34O 2:12/' ~/4Bibeln/nahum2 > ~/4Bibeln/nahum1
sed 's/34O 2:10/34O 2:11/' ~/4Bibeln/nahum1 > ~/4Bibeln/nahum2
sed 's/34O 2:9/34O 2:10/' ~/4Bibeln/nahum2 > ~/4Bibeln/nahum1
sed 's/34O 2:8/34O 2:9/' ~/4Bibeln/nahum1 > ~/4Bibeln/nahum2
sed 's/34O 2:7/34O 2:8/' ~/4Bibeln/nahum2 > ~/4Bibeln/nahum1
sed 's/34O 2:6/34O 2:7/' ~/4Bibeln/nahum1 > ~/4Bibeln/nahum2
sed 's/34O 2:5/34O 2:6/' ~/4Bibeln/nahum2 > ~/4Bibeln/nahum1
sed 's/34O 2:4/34O 2:5/' ~/4Bibeln/nahum1 > ~/4Bibeln/nahum2
sed 's/34O 2:3/34O 2:4/' ~/4Bibeln/nahum2 > ~/4Bibeln/nahum1
sed 's/34O 2:2/34O 2:3/' ~/4Bibeln/nahum1 > ~/4Bibeln/nahum2
sed 's/34O 2:1/34O 2:2/' ~/4Bibeln/nahum2 > ~/4Bibeln/nahum1
sed 's/34O 1:15/34O 2:1/' ~/4Bibeln/nahum1 > ~/4Bibeln/nahum2

# Konvertieren des Sacharjabuches in deutsche Verszaehlung
sed 's/38O 2:13/38O 2:17/' ~/4Bibeln/sacharja1 > ~/4Bibeln/sacharja2
sed 's/38O 2:12/38O 2:16/' ~/4Bibeln/sacharja2 > ~/4Bibeln/sacharja1
sed 's/38O 2:11/38O 2:15/' ~/4Bibeln/sacharja1 > ~/4Bibeln/sacharja2
sed 's/38O 2:10/38O 2:14/' ~/4Bibeln/sacharja2 > ~/4Bibeln/sacharja1
sed 's/38O 2:9/38O 2:13/' ~/4Bibeln/sacharja1 > ~/4Bibeln/sacharja2
sed 's/38O 2:8/38O 2:12/' ~/4Bibeln/sacharja2 > ~/4Bibeln/sacharja1
sed 's/38O 2:7/38O 2:11/' ~/4Bibeln/sacharja1 > ~/4Bibeln/sacharja2
sed 's/38O 2:6/38O 2:10/' ~/4Bibeln/sacharja2 > ~/4Bibeln/sacharja1
sed 's/38O 2:5/38O 2:9/' ~/4Bibeln/sacharja1 > ~/4Bibeln/sacharja2
sed 's/38O 2:4/38O 2:8/' ~/4Bibeln/sacharja2 > ~/4Bibeln/sacharja1
sed 's/38O 2:3/38O 2:7/' ~/4Bibeln/sacharja1 > ~/4Bibeln/sacharja2
sed 's/38O 2:2/38O 2:6/' ~/4Bibeln/sacharja2 > ~/4Bibeln/sacharja1
sed 's/38O 2:1/38O 2:5/' ~/4Bibeln/sacharja1 > ~/4Bibeln/sacharja2
sed 's/38O 1:21/38O 2:4/' ~/4Bibeln/sacharja2 > ~/4Bibeln/sacharja1
sed 's/38O 1:20/38O 2:3/' ~/4Bibeln/sacharja1 > ~/4Bibeln/sacharja2
sed 's/38O 1:19/38O 2:2/' ~/4Bibeln/sacharja2 > ~/4Bibeln/sacharja1
sed 's/38O 1:18/38O 2:1/' ~/4Bibeln/sacharja1 > ~/4Bibeln/sacharja2

# Konvertieren des Maleachibuches in deutsche Verszaehlung
sed 's/39O 4:6/39O 3:24/' ~/4Bibeln/maleachi1 > ~/4Bibeln/maleachi2
sed 's/39O 4:5/39O 3:23/' ~/4Bibeln/maleachi2 > ~/4Bibeln/maleachi1
sed 's/39O 4:4/39O 3:22/' ~/4Bibeln/maleachi1 > ~/4Bibeln/maleachi2
sed 's/39O 4:3/39O 3:21/' ~/4Bibeln/maleachi2 > ~/4Bibeln/maleachi1
sed 's/39O 4:2/39O 3:20/' ~/4Bibeln/maleachi1 > ~/4Bibeln/maleachi2
sed 's/39O 4:1/39O 3:19/' ~/4Bibeln/maleachi2 > ~/4Bibeln/maleachi1

# Loeschen der Praefixe im ersten Buch Mose 
sed 's/01O //' ~/4Bibeln/genesis2 > ~/4Bibeln/genesis

# Loeschen der Praefixe im zweiten Buch Mose 
sed 's/02O //' ~/4Bibeln/exodus1 > ~/4Bibeln/exodus

# Loeschen der Praefixe im dritten Buch Mose 
sed 's/03O //' ~/4Bibeln/levitikus2 > ~/4Bibeln/levitikus

# Loeschen der Praefixe im vierten Buch Mose 
sed 's/04O //' ~/4Bibeln/numeri2 > ~/4Bibeln/numeri

# Loeschen der Praefixe im fuenften Buch Mose 
sed 's/05O //' ~/4Bibeln/deuteronomium2 > ~/4Bibeln/deuteronomium

# Loeschen der Praefixe im Josuabuch 
sed 's/06O //' ~/4Bibeln/josua1 > ~/4Bibeln/josua

# Loeschen der Praefixe im Richterbuch 
sed 's/07O //' ~/4Bibeln/richter1 > ~/4Bibeln/richter

# Loeschen der Praefixe im Buch Rut 
sed 's/08O //' ~/4Bibeln/rut1 > ~/4Bibeln/rut

# Loeschen der Praefixe im ersten Samuelbuch 
sed 's/09O //' ~/4Bibeln/i-samuel2 > ~/4Bibeln/i-samuel

# Loeschen der Praefixe im zweiten Samuelbuch 
sed 's/10O //' ~/4Bibeln/ii-samuel2 > ~/4Bibeln/ii-samuel

# Loeschen der Praefixe im ersten Koenigbuch 
sed 's/11O //' ~/4Bibeln/i-koenige2 > ~/4Bibeln/i-koenige

# Loeschen der Praefixe im zweiten Koenigbuch 
sed 's/12O //' ~/4Bibeln/ii-koenige1 > ~/4Bibeln/ii-koenige

# Loeschen der Praefixe im ersten Chronikbuch 
sed 's/13O //' ~/4Bibeln/i-chronik2 > ~/4Bibeln/i-chronik

# Loeschen der Praefixe im zweiten Chronikbuch 
sed 's/14O //' ~/4Bibeln/ii-chronik2 > ~/4Bibeln/ii-chronik

# Loeschen der Praefixe im Esrabuch 
sed 's/15O //' ~/4Bibeln/esra1 > ~/4Bibeln/esra

# Loeschen der Praefixe im Nehemiabuch 
sed 's/16O //' ~/4Bibeln/nehemia1 > ~/4Bibeln/nehemia

# Loeschen der Praefixe im Esterbuch 
sed 's/17O //' ~/4Bibeln/ester1 > ~/4Bibeln/ester

# Loeschen der Praefixe im Hiobbuch 
sed 's/18O //' ~/4Bibeln/hiob2 > ~/4Bibeln/hiob

# Loeschen der Praefixe in den Psalmen 
sed 's/19O //' ~/4Bibeln/psalmen2 > ~/4Bibeln/psalmen

# Loeschen der Praefixe in den Spruechen 
sed 's/20O //' ~/4Bibeln/sprueche1 > ~/4Bibeln/sprueche

# Loeschen der Praefixe im Predigerbuch 
sed 's/21O //' ~/4Bibeln/prediger2 > ~/4Bibeln/prediger

# Loeschen der Praefixe im Hohelied 
sed 's/22O //' ~/4Bibeln/hohelied2 > ~/4Bibeln/hohelied

# Loeschen der Praefixe im Jesajabuch 
sed 's/23O //' ~/4Bibeln/jesaja2 > ~/4Bibeln/jesaja

# Loeschen der Praefixe im Jeremiabuch 
sed 's/24O //' ~/4Bibeln/jeremia1 > ~/4Bibeln/jeremia

# Loeschen der Praefixe in den Klageliedern Jeremias 
sed 's/25O //' ~/4Bibeln/klagelieder1 > ~/4Bibeln/klagelieder

# Loeschen der Praefixe im Ezechielbuch 
sed 's/26O //' ~/4Bibeln/ezechiel1 > ~/4Bibeln/ezechiel

# Loeschen der Praefixe im Danielbuch 
sed 's/27O //' ~/4Bibeln/daniel2 > ~/4Bibeln/daniel

# Loeschen der Praefixe im Hoseabuch 
sed 's/28O //' ~/4Bibeln/hosea2 > ~/4Bibeln/hosea

# Loeschen der Praefixe im Joelbuch 
sed 's/29O //' ~/4Bibeln/joel2 > ~/4Bibeln/joel

# Loeschen der Praefixe im Amosbuch 
sed 's/30O //' ~/4Bibeln/amos1 > ~/4Bibeln/amos

# Loeschen der Praefixe im Obadjabuch 
sed 's/31O //' ~/4Bibeln/obadja1 > ~/4Bibeln/obadja

# Loeschen der Praefixe im Jonabuch 
sed 's/32O //' ~/4Bibeln/jona2 > ~/4Bibeln/jona

# Loeschen der Praefixe im Michabuch 
sed 's/33O //' ~/4Bibeln/micha1 > ~/4Bibeln/micha

# Loeschen der Praefixe im Nahumbuch 
sed 's/34O //' ~/4Bibeln/nahum2 > ~/4Bibeln/nahum

# Loeschen der Praefixe im Habakukbuch 
sed 's/35O //' ~/4Bibeln/habakuk1 > ~/4Bibeln/habakuk

# Loeschen der Praefixe im Zefanjabuch 
sed 's/36O //' ~/4Bibeln/zefanja1 > ~/4Bibeln/zefanja

# Loeschen der Praefixe im Haggaibuch 
sed 's/37O //' ~/4Bibeln/haggai1 > ~/4Bibeln/haggai

# Loeschen der Praefixe im Sacharjabuch 
sed 's/38O //' ~/4Bibeln/sacharja2 > ~/4Bibeln/sacharja

# Loeschen der Praefixe im Maleachibuch 
sed 's/39O //' ~/4Bibeln/maleachi1 > ~/4Bibeln/maleachi

# Loeschen der Praefixe im Matthaeusevangelium 
sed 's/40N //' ~/4Bibeln/matthaeus1 > ~/4Bibeln/matthaeus

# Loeschen der Praefixe im Markusevangelium 
sed 's/41N //' ~/4Bibeln/markus1 > ~/4Bibeln/markus

# Loeschen der Praefixe im Lukasevangelium 
sed 's/42N //' ~/4Bibeln/lukas1 > ~/4Bibeln/lukas

# Loeschen der Praefixe im Johannesevangelium 
sed 's/43N //' ~/4Bibeln/johannes1 > ~/4Bibeln/johannes

# Loeschen der Praefixe in der Apostelgeschichte 
sed 's/44N //' ~/4Bibeln/apostelgeschichte1 > ~/4Bibeln/apostelgeschichte

# Loeschen der Praefixe im Roemerbrief 
sed 's/45N //' ~/4Bibeln/roemer1 > ~/4Bibeln/roemer

# Loeschen der Praefixe im ersten Korintherbrief 
sed 's/46N //' ~/4Bibeln/i-korinther1 > ~/4Bibeln/i-korinther

# Loeschen der Praefixe im zweiten Korintherbrief 
sed 's/47N //' ~/4Bibeln/ii-korinther1 > ~/4Bibeln/ii-korinther

# Loeschen der Praefixe im Galaterbrief 
sed 's/48N //' ~/4Bibeln/galater1 > ~/4Bibeln/galater

# Loeschen der Praefixe im Epheserbrief 
sed 's/49N //' ~/4Bibeln/epheser1 > ~/4Bibeln/epheser

# Loeschen der Praefixe im Philipperbrief 
sed 's/50N //' ~/4Bibeln/philipper1 > ~/4Bibeln/philipper

# Loeschen der Praefixe im Kolosserbrief 
sed 's/51N //' ~/4Bibeln/kolosser1 > ~/4Bibeln/kolosser

# Loeschen der Praefixe im ersten Thessalonicherbrief 
sed 's/52N //' ~/4Bibeln/i-thessalonicher1 > ~/4Bibeln/i-thessalonicher

# Loeschen der Praefixe im zweiten Thessalonicherbrief 
sed 's/53N //' ~/4Bibeln/ii-thessalonicher1 > ~/4Bibeln/ii-thessalonicher

# Loeschen der Praefixe im ersten Timotheusbrief 
sed 's/54N //' ~/4Bibeln/i-timotheus1 > ~/4Bibeln/i-timotheus

# Loeschen der Praefixe im zweiten Timotheusbrief 
sed 's/55N //' ~/4Bibeln/ii-timotheus1 > ~/4Bibeln/ii-timotheus

# Loeschen der Praefixe im Titusbrief 
sed 's/56N //' ~/4Bibeln/titus1 > ~/4Bibeln/titus

# Loeschen der Praefixe im Philemonbrief 
sed 's/57N //' ~/4Bibeln/philemon1 > ~/4Bibeln/philemon

# Loeschen der Praefixe im Hebraeerbrief 
sed 's/58N //' ~/4Bibeln/hebraeer1 > ~/4Bibeln/hebraeer

# Loeschen der Praefixe im Jakobusbrief 
sed 's/59N //' ~/4Bibeln/jakobus1 > ~/4Bibeln/jakobus

# Loeschen der Praefixe im ersten Petrusbrief 
sed 's/60N //' ~/4Bibeln/i-petrus1 > ~/4Bibeln/i-petrus

# Loeschen der Praefixe im zweiten Petrusbrief 
sed 's/61N //' ~/4Bibeln/ii-petrus1 > ~/4Bibeln/ii-petrus

# Loeschen der Praefixe im ersten Johannesbrief 
sed 's/62N //' ~/4Bibeln/i-johannes1 > ~/4Bibeln/i-johannes

# Loeschen der Praefixe im zweiten Johannesbrief 
sed 's/63N //' ~/4Bibeln/ii-johannes1 > ~/4Bibeln/ii-johannes

# Loeschen der Praefixe im dritten Johannesbrief 
sed 's/64N //' ~/4Bibeln/iii-johannes1 > ~/4Bibeln/iii-johannes

# Loeschen der Praefixe im Judasbrief 
sed 's/65N //' ~/4Bibeln/judas1 > ~/4Bibeln/judas

# Loeschen der Praefixe in der Offenbarung des Johannes 
sed 's/66N //' ~/4Bibeln/offenbarung1 > ~/4Bibeln/offenbarung

# Loeschen der Praefixe im Tobiasbuch 
sed 's/67A //' ~/4Bibeln/tobias1 > ~/4Bibeln/tobias

# Loeschen der Praefixe im Juditbuch 
sed 's/68A //' ~/4Bibeln/judit1 > ~/4Bibeln/judit

# Loeschen der Praefixe im griechischen Esterbuch 
sed 's/69A //' ~/4Bibeln/griechisch-ester1 > ~/4Bibeln/griechisch-ester

# Loeschen der Praefixe im Weisheitsbuch 
sed 's/70A //' ~/4Bibeln/weisheit1 > ~/4Bibeln/weisheit

# Loeschen der Praefixe im Buch Jesus Sirach 
sed 's/71A //' ~/4Bibeln/jesus-sirach1 > ~/4Bibeln/jesus-sirach

# Loeschen der Praefixe im Baruchbuch 
sed 's/72A //' ~/4Bibeln/baruch1 > ~/4Bibeln/baruch

# Loeschen der Praefixe im Brief des Jeremia 
sed 's/73A //' ~/4Bibeln/brief-jeremias1 > ~/4Bibeln/brief-jeremias

# Loeschen der Praefixe im Gebet Asarias 
sed 's/74A //' ~/4Bibeln/gebet-asarjas1 > ~/4Bibeln/gebet-asarjas

# Loeschen der Praefixe im Susannabuch 
sed 's/75A //' ~/4Bibeln/susanna1 > ~/4Bibeln/susanna

# Loeschen der Praefixe im Drachenbuch 
sed 's/76A //' ~/4Bibeln/bel-und-der-drache1 > ~/4Bibeln/bel-und-der-drache

# Loeschen der Praefixe im ersten Makkabaeerbuch 
sed 's/77A //' ~/4Bibeln/i-makkabaeer1 > ~/4Bibeln/i-makkabaeer

# Loeschen der Praefixe im zweiten Makkabaeerbuch 
sed 's/78A //' ~/4Bibeln/ii-makkabaeer1 > ~/4Bibeln/ii-makkabaeer

# Loeschen der Praefixe im dritten Makkabaeerbuch 
sed 's/79A //' ~/4Bibeln/iii-makkabaeer1 > ~/4Bibeln/iii-makkabaeer

# Loeschen der Praefixe im vierten Makkabaeerbuch 
sed 's/80A //' ~/4Bibeln/iv-makkabaeer1 > ~/4Bibeln/iv-makkabaeer

# Loeschen der Praefixe im dritten Esrabuch 
sed 's/81A //' ~/4Bibeln/iii-esra1 > ~/4Bibeln/iii-esra

# Loeschen der Praefixe im vierten Esrabuch 
sed 's/82A //' ~/4Bibeln/iv-esra1 > ~/4Bibeln/iv-esra

# Loeschen der Praefixe im Gebet des Manasse 
sed 's/83A //' ~/4Bibeln/gebet-manasses1 > ~/4Bibeln/gebet-manasses

# Loeschen der Praefixe im 152. Psalm 
sed 's/84A //' ~/4Bibeln/psalm-1511 > ~/4Bibeln/psalm-nnn

# Loeschen der Praefixe im Psalm Salomos 
sed 's/85A //' ~/4Bibeln/psalm-salomos1 > ~/4Bibeln/psalm-salomos

# Loeschen der Praefixe in den Oden 
sed 's/86A //' ~/4Bibeln/oden1 > ~/4Bibeln/oden

# Loeschen von Zwischenspeicherdateien
rm ~/4Bibeln/*2
rm ~/4Bibeln/*1
mv ~/4Bibeln/psalm-nnn ~/4Bibeln/psalm-151

# Informationen am Schluss
echo " "
echo "Sie finden die Dateien Ihres neuen 4Bibeln-Textes in Ihrem"
echo "Heimatverzeichnis und dort im Unterverzeichnis 4Bibeln."
echo " "
echo "Um die neuen Texte benutzen zu koennen, muessen Sie sie als"
echo "Superuser (root) mit Hilfe ines Dateimanagers oder des Kommandos"
echo "cp ~/4Bibeln/* /Pfad/zu/4Bibeln/bib/LUT84/*"
echo "in ein mit einem Grossbuchstaben beginnendes Unterverzeichnis"
echo "Ihres Verzeichnisses /Pfad/zu/4Bibeln/bib/LUT84"
echo "kopieren und dann in der Datei /Pfad/zu/4Bibeln/etc/4bibeln.conf"
echo "dem Programm 4Bibeln bekannt machen. Wie das geht, steht in der"
echo "Hilfe zum Programm 4Bibeln."
echo " "
echo "Sie sollten anschliessend das Verzeichnis 4Bibeln in Ihrem Heimat-"
echo "verzeichnis löschen, um den benutzten Platz frei zu machen."
echo " "
echo "Das Skript konnte zwei Verszaehlungsaenderungen nicht durchfuehren,"
echo "weil sie inhaltliche Entscheidungen voraussetzen:"
echo " "
echo "1. In der protestantisch gezaehlten Bibel gehoert der Satz"
echo "   UND ER TRAT AN DEN STRAND DES MEERES"
echo "   als Vers 18 ins Kapitel Offenbarung 12. In der traditionell"
echo "   gezaehlten Bibel ist er dagegen der erste Halbvers von"
echo "   Kapitel 13, 1."
echo "2. Und im protestantische gezaehlten 3. Johannesbrief wird"
echo "   der traditionell als 14 gezaehlte Vers in die Verse 14 und 15"
echo "   aufgeteilt."
echo " "
echo "Wenn Sie Wert auf dise beiden Anpassungen legen, muessen Sie sie im"
echo "Text selbst vornehmen."
echo " "
echo " "
echo "Anmerkung: Die Buchstaben LUT84 sind natuerlich nur ein Beispiel."
echo "Benutzen Sie eine Abkuerzung, die Sie plausibel finden."
echo " "
echo "            ********** - Ende der Arbeiten - **********"
echo " "